Ubuntu

[M76] [ubuntu 9.04] [ubuntu 9.10] [ubuntu 10.04] slow unminimizing with ati card and desktop effects enabled

Reported by Fabien V on 2009-03-29
This bug affects 198 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Unassigned
Nominated for Intrepid by Michel
Declined for Jaunty by Bryce Harrington
Declined for Karmic by Bryce Harrington
Lucid
High
Unassigned

Bug Description

! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !
The comment list to this bug reach a point of entries at this we must declare this buglist for "full". The buglist appears unreadable for many people because of launchpad timeouts. So it was the decision to make a new entry in launchpad as a successor of this bug. You should use https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/568988 instead. Thanks.
! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !

[updated]
Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
The opening of a window present the same bug, freezing the system for 1sec.
This bug is under both gnome and kde (4.2.1)

(I have an ATI HD2600 Mobility Pro )

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
     Subsystem: Acer Incorporated [ALI] Device [1025:011e]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
     Subsystem: Acer Incorporated [ALI] Device [1025:011e]

affects: ubuntu → xserver-xorg-video-ati (Ubuntu)

Hi, same problem. To avoid this bug I've disabled my desktop effects. Very annoying bug.

Bryce Harrington (bryce) wrote :

Hi hcoohb,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
tags: added: needs-lspci-vvnn
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Incomplete

Hi,

here is my information. I have the same problem. The unminimizing is too slow.
Also the same issue with "Maximazing/Unmaximazing".

Any progress for this bug? Possibly there is some kind of solution to avoid slowness and do not to disable the effects.

By the way I have

ATI Radeon HD3600 512Mb

and effects are very slow, especially unminimizing, maximizing, unmaximizing and woody windows

But if I run "glxgears" it gives me for about >2500 FPS :(

Bryce Harrington (bryce) wrote :

Please attach files separately rather than in a compressed file.

lspci -vvnn output

Just a post to say that I confirme this behaviour on my computer too :
Jaunty AMD64 Beta, ATI Radeon HD3850.

Frédéric

Gnome menu close/open operations are quite slow too, if menu effects are enabled.

Its not only "unminimizing" effect is too slow.

I've found that all my system slows down on "unminimize/maximize/unmaximize" ("minimize" is works smoothly by the way).

Slowdown is global because for example even my music player stops playback for couple seconds during "unminimizing" huge applications.

Overal system slowdown period is from 1 to 4 seconds and depends on application I'm unminimizing.

For example if I'm "unminimizing" the application like FireFox with over 15 tabs tha holds about 450 Mb RAM it slows down all the system for about 3 seconds and y music player stops playback for 1 second.

What additional information I should provide in order to investigate this bug entirely?

Fabien V (hcooh) wrote :

Sorry, I was not at home.

And I have exactly the same problem than Joseph. The unminimizing/maximizing/unmaximizing and the opening of a new window make the total system stops for a little time.

Here is the lspci -vvnn output :

Fabien V (hcooh) wrote :

The /var/log/Xorg.0.log :

Fabien V (hcooh) wrote :

the /var/log/Xorg.0.log.old

Fabien V (hcooh) wrote :

and the Xorg.conf I am currently using

Bryce Harrington (bryce) on 2009-04-21
description: updated
kewang (cpckewang) wrote :

Hello, I have the same problem

as attachments.

cristian (botzoboy) wrote :

I had the same problem like Joseph with Jaunty on my ThinkPad T42 And this made me to go back to Intrepid. I upgraded to jaunty final release and the problem still persist. any progres to resolve this???

Same problem Lenovo T500 with ATI 3650

Same problem with HD 3650

Kendall (conrad-php) wrote :

And in Dell Studio 1537 with ATI HD 3400.
Also resizing windows is sub-par. Getting CPU peaks from maximising a terminal..
This is with vanilla everything + FGLRX from jockey.

Kendall (conrad-php) wrote :

Also noticed it seems to be happning with the Alt+Tab shifter. Confirm/deny?

em1n3m (dragosn-1) wrote :

Same problem here with ATI Radeon HD 3870.
Slow maximizing effect of all desktop windows.

confirm with Alt+Tab shifter just with compiz, for me

Michel (degreef-michel) wrote :

KDE Windows with effect extremely slow. Creation of new window, moving windows or resizing are all affected.
I believe it is related to ATI card, I am using a Mobility Radeon 3650.

I notice on my monitor that both Xorg and plasma are taking most of my computer resources even when no activity takes place: On the average I would say that palsma takes about 50% of CPU and Xorg about 10%. This is on an Intel Core2 Duo CPU's computer. My screen resolution is 1920x1200.

I upgraded from Kubuntu 8.10 (completely up-to-date) to Kubuntu 9.04 on the day of the official release, using the alternate disk image for the upgrade. About half the upgrade was taken from the CD I burnt, the last half straight from the repository. That happened following a restart of the upgrade process.

I had no speed problems with 8.10. With 9.04 it takes up to 5 seconds to maximise, or minimise) a window, and about 2-3 seconds to create one.

Here are some relevant details. Let me know if anything else may be useful.

***********
lshw:
***********
---
*-display
                description: VGA compatible controller
                product: Mobility Radeon HD 3650
                vendor: ATI Technologies Inc
                physical id: 0
                bus info: pci@0000:01:00.0
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=fglrx_pci latency=0 module=fglrx
...

***********
xorg.conf
***********
Section "ServerLayout"
 Identifier "aticonfig Layout"
 Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Files"
EndSection

Section "Module"
EndSection

Section "Monitor"
 Identifier "aticonfig-Monitor[0]-0"
 Option "VendorName" "ATI Proprietary Driver"
 Option "ModelName" "Generic Autodetecting Monitor"
 Option "DPMS" "true"
EndSection

Section "Device"
 Identifier "aticonfig-Device[0]-0"
 Driver "fglrx"
 BusID "PCI:1:0:0"
EndSection

Section "Screen"
 Identifier "aticonfig-Screen[0]-0"
 Device "aticonfig-Device[0]-0"
 Monitor "aticonfig-Monitor[0]-0"
 DefaultDepth 24
 SubSection "Display"
  Viewport 0 0
  Depth 24
 EndSubSection
EndSection

Mohammad Alhobayyeb (mih1406) wrote :

Ubuntu Every thing is slower!!

*************************
xorg.conf
*************************
Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
 DefaultDepth 24
EndSection

Section "Module"
 Load "glx"
EndSection

Section "Device"
 Identifier "Configured Video Device"
 Driver "fglrx"
EndSection

LastHylian (goodwin87) wrote :
Download full text (3.3 KiB)

Slow for me as well...

# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# Note that some configuration settings that could be done previously
# in this file, now are automatically configured by the server and settings
# here are ignored.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
 Identifier "aticonfig Layout"
 Screen 0 "Default Screen" 0 0
EndSection

Section "Files"
EndSection

Section "Module"
 Load "glx"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Device"
 Identifier "Configured Video Device"
 Driver "fglrx"
 BusID "PCI:1:0:0"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Device "Configured Video Device"
 Monitor "Configured Monitor"
 DefaultDepth 24
EndSection

**********************************
                         lspci
**********************************

00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82566DC-2 Gigabit Network Connection (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 02)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 92)
00:1f.0 ISA bridge: Intel Corporation 82801IH (ICH9DH) LPC Interface Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 02)
00:1f.5 IDE interface: Intel Corporation 82801I (ICH9 Family) 2 port SATA IDE Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3600 Series
01:00.1 Audio device: ATI Technologies Inc RV635 Audio device [Radeon HD 3600 Series]
02:00.0 Ethernet controller: Realtek Semico...

Read more...

draenoch (draenoch) wrote :
Download full text (3.6 KiB)

I have experienced the same problems as described in the first post on a lenovo Thinkpad W500 (with an ATI FireGL graphics card, incorrectly identified as a Radeon HD3650) running ubuntu 9.04.

Enabling the restricted ATI driver causes the creation and maximisation of windows to be really slow (100% cpu usage) and lead to system instability (simultaneously running firefox, glxgears and a terminal made x.org unresponsive; I needed a hard reset).

After disabling the restricted ATI driver the problems disappeared.

I have experienced this problem after upgrading from xubuntu 8.10 (which did not seem to have this problem) to xubuntu 9.04 and after a fresh (no manual changes to xorg.conf or other configuration files) install of ubuntu 9.04.

If more people with recent ATI graphics hardware are also experiencing this problem (together with system instability), it might be a good idea to increase the severity of this bug report since it seriously hampers the `desktop experience'.

lspci output:
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:01.0 PCI bridge: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:03.2 IDE interface: Intel Corporation Mobile 4 Series Chipset PT IDER Controller (rev 07)
00:03.3 Serial controller: Intel Corporation Mobile 4 Series Chipset AMT SOL Redirection (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3650
03:00.0 Network controller: I...

Read more...

seahome45 (seahome45) wrote :
Download full text (19.9 KiB)

same problem here in Ubuntu 9.04 final with Ati HD3650, slow for loading, maximizing, un-maximizing.

lspci -vvnn

00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
 Subsystem: Lenovo Device [17aa:20e0]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Capabilities: <access denied>
 Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port [8086:2a41] (rev 07)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 00002000-00002fff
 Memory behind bridge: cff00000-cfffffff
 Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: <access denied>
 Kernel driver in use: pcieport-driver
 Kernel modules: shpchp

00:03.0 Communication controller [0780]: Intel Corporation Mobile 4 Series Chipset MEI Controller [8086:2a44] (rev 07)
 Subsystem: Lenovo Device [17aa:20e6]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
 Latency: 0
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at fc226800 (64-bit, non-prefetchable) [size=16]
 Capabilities: <access denied>

00:03.2 IDE interface [0101]: Intel Corporation Mobile 4 Series Chipset PT IDER Controller [8086:2a46] (rev 07) (prog-if 85 [Master SecO PriO])
 Subsystem: Lenovo Device [17aa:20ea]
 Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Interrupt: pin C routed to IRQ 18
 Region 0: I/O ports at 1820 [size=8]
 Region 1: I/O ports at 1814 [size=4]
 Region 2: I/O ports at 1818 [size=8]
 Region 3: I/O ports at 1810 [size=4]
 Region 4: I/O ports at 1800 [size=16]
 Capabilities: <access denied>

00:03.3 Serial controller [0700]: Intel Corporation Mobile 4 Series Chipset AMT SOL Redirection [8086:2a47] (rev 07) (prog-if 02)
 Subsystem: Lenovo Device [17aa:20ec]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin B routed to IRQ 17
 Region 0: I/O ports at 1828 [size=8]
 Region 1: Memory at fc224000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>
 Kernel driver in use: serial

00:19.0 Ethernet controller [0200]: In...

Mohammad Alhobayyeb (mih1406) wrote :

Ubuntu Every thing is slower!!

ASUS F8Vseries
Model: F8VR
CPU: Due T5800
Display: 14" WXGA+
ODD: DVD Sup.MTI.
Wireless: 802.11+BT
HD: 250GB
Memory: 2GB
Graphics: ATI Mobility Radeon HD 3470; VRAM: 256MB

*************************
xorg.conf
*************************
Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
 DefaultDepth 24
EndSection

Section "Module"
 Load "glx"
EndSection

Section "Device"
 Identifier "Configured Video Device"
 Driver "fglrx"
EndSection

RDL (rdeleonp) wrote :

Same here, 9.04 final.

ZaHACKieL (zahackiel) wrote :

I confirm the bug in a Dell Studio 1735 with ATI Mobility Radeon HD3650

Confirming that Alt+Tab shifter is slow to and also windows resizing is slow...

Confirmed here as well. AMD64 with HD3600 (vendor: 1002 device: 9596).

Visual effects were enabled at normal after fresh install with fglrx installed via "restricted drivers" GUI. Rebooted just in case, visual effects still running. Slow window restore/maximize/unmaximize.

From Appearances GUI I disabled visual effects and could not re-enable. It gives a generic error "Desktop effects could not be enabled."

If I run compiz from terminal window, it works. Still have slow window restore/maximize/unmaximize.

It does give this warning when ran from command line:
/usr/bin/compiz.real (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format

António Lima (amrlima) wrote :

Same issue here with an HD3400. Metacity composite is also slow.

madias (mad-ias) wrote :

same issue with a mobility HD2600, nothing further to post as not said.

Kendall (conrad-php) wrote :

Noticed a few times that sometimes the window borders etc did not load when unminimising a window - this is probably unrelated as I had been playing with the metacity theme, but what is interesting is that when this happened unminimizing the window happened without lag - just without the borders.

This leads me to believe that it may somehow be related to metacity rather than compiz as a whole. Could this be possible?

LastHylian (goodwin87) wrote :

I have also noticed that Gnome-do shows some lag v.s. my previous Hardy install. It still has a little bit of lag even without compiz, but with compiz it is almost unbearable (1 ~ 2 seconds), at least for me. So, my guess is it is a combo of the new Xorg and a lack of driver support. What did they change in-between distros?! It's driving me nuts!

Bryce Harrington (bryce) on 2009-04-28
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → Confirmed
Timo Aaltonen (tjaalton) wrote :

Can anyone reproduce this with the free driver? So far I've only seen people confirming this with fglrx and some saying that the free driver works better. Note that you need to purge -fglrx and reboot to make sure the kernel module is not loaded..

Fabien V (hcooh) wrote :

Well,
under KDE4,
for this bug, I can only reproduce it with the propriatary driver since I can enable effects only with fglrx (with openGL rendering)
(but I think I remember I could reproduced it with free driver and desktop effects with Xrender, but it would be good thing to check this)

description: updated
cristian (botzoboy) wrote :

tiomo: my video card is an ATI radeon mob. 7500 ad is not suported by proprietary driver. so I use the free driver and I have the same problem decribed above in Jaunty while in Intrepid it worked fine.

dujek (burny) wrote :

I can confirm the bug. I have the same issues with a Radeon 4670.

Mustafa Kaya (mustail) wrote :

The same for me :(

I've a Thinkpad T42. Everything was perfect with Intrepid, but now that I've upgraded to Jaunty, almost everything (including the startup etc) seems to be slower.

But the main problem is with maximizing/minimizing/starting windows, as everyone said.. The maximizing/minimizing effects are nowhere around smooth, and it's like there's a delay time of 1-2 seconds in all of these events. I see a slowing of graphic applications compared to Intrepid.

I have compiz running with ATI Radeon 7500 video card.

free (free-staaken) wrote :

I had the same issue with my Thinkpad T41 which has a Radeon Mobility 9000. When i plugged out the second/external monitor, everything worked fine (glxgears 835 instead of 88 fps) again. But I have the resolution and the colordepth hardcoded in my xorg.conf - didn't try without it...

Vladimir Buevich (clon) wrote :

Same problem. IBM ThinkPad X31 with ATI Radeon Mobility M6

Same here with
- Ubuntu 9.04 Final
- SAPPHIRE ATI Radeon HD4830 - 512 Mo DDR3

Slow maximizing and diplaying new window, other stuff are slower than in 8.10, but not as slow.

Hope a solution will be found soon.
Good luck ! ;)

Seraphim Spanias (serspan) wrote :

Same here with ati 3870 + system crashes, leaving me as only choice hardware reset.

Aisthesis (aisthesis) wrote :
cristian (botzoboy) wrote :

Aisthesis: I don't think that this is related to that bug. many of us have the open drive and we have the same problem.

Minimizing/Restore and compiz are still messed up. Also if I enable then disable compiz I have to logout and back in to get rid of sluggishness.

However following JUST the "finishing the install: configuration" portion of this page:
http://wiki.cchtml.com/index.php/Ubuntu_Jaunty_Installation_Guide#Installing_the_restricted_drivers_manually
did help a lot with video playback and overall slowness of system.

AMD 64 with ATI Radeon HD 3650 AGP.

I can play video in vlc using Xvideo output instead of X11 at really good framerate.

Only good for X1xxx and HD* series.
Add this to the Devices section of xorg.conf:
Option "TexturedVideo" "on"
You have to do this after aticonfig --initial -f I think.

Also running this command will enforce ati configuration somehow per linked page above:
sudo aticonfig --input=/etc/X11/xorg.conf --tls=1

My xorg.conf is attached if it helps anybody. I would just follow the site instructions if I were you. Also if you get frozen hold ALT+PrintScreen and type rseinub. Supposedly safe reboot, I haven't tried it, also from instructions.

glxgears output after change. Before it was 4500 ish. YMMV
26791 frames in 5.0 seconds = 5356.978 FPS
27339 frames in 5.0 seconds = 5467.708 FPS

jrd (oberto) wrote :

Yep, same issue here.

I'm running on a Dell Studio 15 with an ATI HD 3450 card (3400 series). Also, totem runs really slow and results in a black screen if switch to full screen.

If anyone wants anymore info, let me know

J

josepcoves (josepcoves) wrote :

Hi,

I have the same problem, I run on a Sony Vaio FW11M and ATI HD 3400 card. Most of problems appear when compiz effects are enabled.

If anyone wants more info let me know as well.

Josep

Kendall (conrad-php) wrote :

@jrd
The black full-screen issue does not appear in mplayer, which also does not seem to have the sluggishness. At least not to the same degree. Just in case you were desperate to watch stuff full screen :P

laleshii (rrr-junior) wrote :

Same problem with a Dell Studio 1535 with ATI Radeon HD3450 video card and proprietary drivers installed.
This issue persists on Ubuntu and KUbuntu also.

ppetr (petr-podrouzek) wrote :

Same problem, when I switch effects on (normal or extra) maximising, unminimising, tab switchin became very slow = have to wait 1-2 sec before something happends. For those 1-2 sec computer basically freezes. I have Dell Studio 15 with ATI mobility radeon HD 3450. Open source ati drivers do not solve anything because 3d support for my card is not included. I think this bug really decreases the desktop experience. Otherwise ubuntu 9.04 is simply great!

Inspired (inspired) wrote :

I also appear to have the same issue on:
HP Compaq nx7010, with 2GB Ram, and an ATI Mobility Radeon 9200 video chip.

Was fine with 8.10

Did automatic upgrade to 9.04 and whole system now seems very slow. Maximizing, minimizing, opening, closing, etc., of windows knocks the system out (system wide, not just that window) for up to a few seconds.
Video is unwatchable... even with Compiz turned switched off (using compiz-switch). Video image can't render fast enough so becomes very jumpy, lagging behind, rendering in patches, etc. That was tested on VLC... whilst always ran fine on 8.10

I am glad to see this is not an issue just with my computer, and look forward to hearing of a solution.

With thanks,
Jonathan

I can confirm this behavior.

Core 2 Quad / 8 GB RAM / Ubuntu 9.04 64Bit / ATI Radeon HD 3870 with fglrx

Delay (100% cpu load) appears when using compiz in the following situations:
- maximizing window
- open minimized window from panel
- resizing window

Minimizing works fine.

No problems with metacity.

jo (bapjo75) wrote :
Download full text (44.9 KiB)

I am also experiencing the slow down of

Boot up - stops at bulding the kernel image for several minutes
Firefox - changing between tabs takes hell lot of time
Evolution

Output of my "lspci-vvnn" command-

00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
 Subsystem: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
 Capabilities: <access denied>
 Kernel driver in use: agpgart-intel
 Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02)
 Subsystem: Intel Corporation Device [8086:4246]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
 Region 1: Memory at ffa80000 (32-bit, non-prefetchable) [size=512K]
 Region 2: I/O ports at ec00 [size=8]
 Capabilities: <access denied>
 Kernel modules: intelfb

00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02)
 Subsystem: Intel Corporation Device [8086:4246]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 16
 Region 4: I/O ports at c800 [size=32]
 Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02)
 Subsystem: Intel Corporation Device [8086:4246]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin B routed to IRQ 19
 Region 4: I/O ports at cc00 [size=32]
 Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02)
 Subsystem: Intel Corporation Device [8086:4246]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin C routed to IRQ 18
 Region 4: I/O ports at d000 [size=32]
 Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 [8086:24de] (rev 02)
 Subsystem: Intel Corporation Device [8086:4246]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz...

Daein Kang (butterdori) wrote :

Same here for Thinkpad T60 with x1300, using open source drivers
Although there isn't a delay for minimizing and maximizing, there is a huge delay for alt+tabbing and the 'show all windows' effect

lesodk (eso-filter) wrote :

Also here.
Asus-M50sa AK060C
radeon HD 3650

pallekula (pallekula) wrote :

Same problem on Thinkpad X31. Delay max/min windows.

Lloptor (lloptor) wrote :

I also have this problem with Ubuntu 9.04 (not in 8.10). My graphic card is ATI MOBILITY RADEON 9200 32MB (a bit old but it worked before!) and open source driver. Maximizing windows is slow and CPU consuming.
Thanks.

Also in ATI Radeon HD3670
Dell StudioXPS16

Sotiris (chryssot-freemail) wrote :

Same here with ati 3870 + 3D = system crashes, leaving me as only choice hardware reset
But
My son's pc with ati - 3870 +3D Proprietary drivers = everything works sharp and quicky.....
He just made an upgrade from 8.10. Nothing else.....

Eric Zinn (ericm-zinn) wrote :

Confirmed on a Dell Studio 1535 Laptop using an ATI Mobility 3450 graphics card. Reliable 1-3 second delay when restoring windows, maximizing windows, and unmaximizing windows while running compiz. I'm using the latest version of the proprietary drivers.

Alt-tabbing is also slow when I am alt-tabbing to a minimized window.

bitsteller (bitsteller) wrote :

Can confirm this on my DELL Studio 15 with ATI Mobility Radeon 3450 HD.

What runs unusably slow with compiz since I upgraded to 9.04:
- restoring windows, maximizing windows, and unmaximizing windows, opening application menus (1-3 freeze)
- switching from metacity to compiz using "compiz --replace" (seems to take longer with every open window)
- switching back from fullscreen and moving the cursor in fullscreen mode in totem or miro
- startup after login: when gdm is gone only a black screen with a white empty panel(?) and mouse cursor on it for at least 15 seconds until the desktop comes up

Other compiz effects like desktop cube etc. are running fine.

Dana Goyette (danagoyette) wrote :

Hmm, perhaps this bug's package assignment needs tweaking: are most people here talking about the radeon driver, or about fglrx?

I've just managed to work around / fix my own fglrx lag by reverting the fix for this bug:

https://launchpad.net/ubuntu/+bug/254468
MASTER: momentary video garbage upon drawing new objects

I had to manually dig around to find the "don't backfill" patch that was dropped, and re-patch my X server. So, it seems something in that piece of code is horribly slow on fglrx. This also would explain why the unimimize lag is directly proportional to the area of a window.

Aisthesis (aisthesis) wrote :

Dana,

Would you be kind enough to link to the patch you are referring to?

Thanks!
-Ais

Dana Goyette (danagoyette) wrote :

About the only place I managed to find the patch (easily, without downloading old xorg source packages) was here:
http://svn.pardus.org.tr/viewcvs/tags/2008/desktop/freedesktop/xorg/xorg-server/files/ubuntu/107_fedora_dont_backfill_bg_none.patch?root=pardus&view=log

Keep in mind that building with this patch will result in the re-emergence of the issue it caused.

lesodk (eso-filter) wrote :

Can't get your patch to work. Had to reinstall after tried.
Can you give a step to step guide?

ARE THE UBUNTU-guys EVER GOING TO FIX THIS??

@Dana Goyette

I can confirm that this patch helped. Don't know if it has any side effects (except that described in Bug #254468) .... someone who knows the code should have a look at it.

I'm going to attach the patch.

lesodk (eso-filter) wrote :

how do i apply the patch?

I want to try this patch too.

Martin Olsson (mnemo) wrote :

Chaning package; original bug report uses fglrx and most people confirming seem to be on that driver as well.

affects: xserver-xorg-video-ati (Ubuntu) → fglrx-installer (Ubuntu)
lesodk (eso-filter) wrote :

did it work?

Martin Olsson (mnemo) wrote :

Really nice that you guys narrowed it down to a single patch!

In general, keep in mind that no patch is ever dropped unless there is a serious problem with it (and thus you should investigate why it was dropped before you mod you systems using such a patch). However, this backfill patch you mention above was actually dropped from Ubuntu because it causes graphics corruption on _intel_ graphics cards which means that I can't see any good reason for fglrx users not to use this patch. If someone is interested, the relevant intel bug is here: https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/254468

Good news is that there might be another way to workaround the intel graphics corruption issue (i.e by using UXA mode). In addition, we are currently evaluating the possibility of switching to UXA mode for all intel cards in karmic. If UXA ships by default in karmic and we confirm that it fixes the graphics corruption we might be able to re-enable the backfill patch by default and get karmic to run fast for fglrx users again.

lesodk (eso-filter) wrote :

Can anyone give any specific step by step guide, to try the patch?

cristian (botzoboy) wrote :

Download the pach and then try this.

sudo patch -p0 107_fedora_dont_backfill_bg_none.patch

tell me if that work

ppetr (petr-podrouzek) wrote :

I tried that, did nothing...after executing sudo patch 107_fedora_... it asks me for sudo password, but then it does not continue...does not write anything...

I have 64 bit version of Ubuntu 9.04

Timo Aaltonen (tjaalton) wrote :

cristian: the patch is for the source package, sudo doesn't help here..

--

The patch was dropped because of the outcry from KDE4 users seeing corrupted animations, and not just with intel hw so UXA is not going to help nvidia users for instance.. Fglrx didn't support the new driver ABI before late March, so the issue went unnoticed until it was too late.

lesodk (eso-filter) wrote :

nope. Patch does not work.

Bryce Harrington (bryce) wrote :

I've set up a PPA with this patch enabled for those having trouble patching your xserver yourself:

https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

(Note it may take a few hours for the builds to get done.)

bitsteller (bitsteller) wrote :

Just activated Bryce's PPA: Everything works fast again.

Big thanks! That makes Jaunty+Compiz usable for me again!

Bryce, thx for the PPA. Finally everything is working ice

OMG, nice to see too much lamers here
2all kiddies - don't try to apply patch, that's work only for xorg-server sources. If you have no idea how to build Xorg from src that won't help you. Activate Bryce's PPA and speed up your Jaunty :)

ture71@gmail.com (ture71) wrote :

thanks! thanks!thanks! Finally all works fine !!!

ppetr (petr-podrouzek) wrote :

Thanks a lot to Bryce H. It works fine.

There is only one problem - at least on my PC - and that is video playback. When I tried to resize window with video, computer froze. You can solve this by setting video output to X11 rather than default in VLC (if you use VLC)...

lesodk (eso-filter) wrote :

When i add the lines to the sources file, i get an authentication error

W: GPG error: http://ppa.launchpad.net jaunty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3B22AB97AF1CDFA9

whenever i open update manager?

what can i do?

bitsteller (bitsteller) wrote :

@lesodk: Whenever you add a signed PPA to your sources, you'll have to import the public key.

In this case you can do this with a

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0x643dc6bd56580ceb1ab4a9f63b22ab97af1cdfa9

in terminal.

lesodk (eso-filter) wrote :

my system became very unstable after installing the patch. How do i uninstall it?

António Lima (amrlima) wrote :

Patch did not work for me. Still have the same slow maximize and restore windows. ATI Mobility Radeon 3400 series (RV620).

lesodk (eso-filter) wrote :

my Movie Player crashes completely, and my computer restarts. How do i configure TOTEM to run with the patch?

Aisthesis (aisthesis) wrote :

Problem fixed here as well.

Thank you Dana for finding this! and thanks Martin for the PPA making our lives easier!

-Ais

koozdra (koozdra) wrote :

I was experiencing the same problem. After installing the patched xserver, Jaunty is much more responsive. Thanks guys.

António Lima (amrlima) wrote :

The patch fixed it for me. I actually did not applied the patch properlly. Now everytyhing runs smoothly. Thanks! Any chance this gets to jaunty updates?

This worked as advertised.

omnius (omnius06) wrote :

Yep, this does fix it. Great!
Minimizing and maximizing is really smooth now. As wel as opening new windows.

I do expierience some strange graphic glitches(not sure how to descibe it). It looks like the probs descibed in Martin Olssens post. However: i don't have an Intel graphics card, i have an ATI 4850...

But the speed of it all is more important than some minor graphic issues, so i'm satisfied :-)

Daein Kang (butterdori) wrote :

Has anyone using the open source drivers tried this?
Or does this only apply to fglrx drivers?

marmuta (marmuta) wrote :

The patch worked for me too on a HD 4670. Before it took 2 seconds for minimizing and maximizing, now it does it instantly. I've played around a bit and didn't see any graphical glitches in Gnome yet.

@Daein Kang: I'd *love* to use the open source driver but it doesn't have 3D support for r600/r700 yet and cannot run compiz at all for these cards. The patch itself seems driver independent, so it should, noticeable or not, speed up radeon os with compositing too. I remember having a similar min/maximize lag with radeon os and a r300 card before Jaunty.

lesodk (eso-filter) wrote :

Does anyone know how to get TOTEM running with the patch. My computers crashes when i set TOTEM to fullscreen.

jrd (oberto) wrote :

@lesodk

I had a problem with my computer crashing when switching to full screen when running compiz. I fixed this by:

* running 'gstreamer-properties' in the terminal
* clicking the video tab
* changing 'Plugin' to 'X Window System (No Xv)'. If that doesn't work, try the 'X Window System (X11/XShm/Xv)'.

I can confirm the patch worked for. I know have 3d Goodness running nice and quick. I used the above method to fix my Movie player after applying the patch.

Hope that helps - And thanks guys for sorting out the patch!

lesodk (eso-filter) wrote :

@jrd

i have tried both. None of them work.
It's really annoying and i don't have a clue of what to do.
I can't even uninstall the patch. I tried to install it on a friends computer.
TOTEM crashes no matter what....

-----------------------------------------------
Does anyone know how to get TOTEM running with the patch. My computers crashes when i set TOTEM to fullscreen.

Martin Olsson (mnemo) wrote :

It's unlikely that this patch will make it into the real jaunty packages (because of the graphics glitches, because this patch was initially a temporary hack that was not meant to be permanently added to the driver, and because our focus is on trying to improve the -ati driver so it works well for all users. It's hard to optimize for two different drivers at once and we also can't fix bugs in fglrx). The goal is of course to deliver _excellent_ performance though, just not using this particular patch and probably not using fglrx. This is a long term effort, various users might still need to use fglrx for a while for certain specific cards etc.

@omnius, I think you're right that the graphics glitches do in fact affect non-intel cards as well. I heard this from several people now.

@lesodk. To downgrade ALL custom packages from all PPA's back to stock jaunty versions you might be able to use these steps (Note: this will most likely uninstall all custom mods you have and it's a largely untested set of commands so I have no idea if they will work on your machine):

1. comment out the PPA from /etc/apt/sources.list
2. run "sudo apt-get update"
3. sudo apt-get -y install apt-show-versions
4. sudo apt-get install $(apt-show-versions | grep -v $(lsb_release -sc) | grep -v "No available version in archive" | awk '{ printf "%s/%s ",$1,$(lsb_release -sc) }')

Verify the list of packages it says it wants to re-install in step 4, the list of packages to re-install should be all the X server related packages you see if you click the little arrow next to "xserver-xorg" on the PPA page: https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

António Lima (amrlima) wrote :

@Martin, I see you point, the free drivers should really be the ones to get most of the attention. Anyway, one of the big problems the ati and radeonhd drivers have are the lack of power managment for some laptops (mine included of course) and that makes the fans spin like crazy all the time even when temperatures are quite low. I think having no 3D for some cards is really not a show stopper, but the lack of power management is the one thing that makes me use fglrx. Well, at least there's a fix :).

lesodk (eso-filter) wrote :

@martin

Thanks Martin.
But do you have any idea of how i can get TOTEM to work with the patch.
I have tried gstreamer-properties

Martin Olsson (mnemo) wrote :

@lesodk. Thanks for pointing this out. This is exactly the kind of feedback we need to move forward and improve the overall experience. Can you please boot the jaunty live CD and while using the -ati driver run the command "ubuntu-bug xserver-xorg-video-ati" to open a good bug report on this issue. Once we have specific bug reports with sufficient logs/data (so we know what chipsets/cards are affected) we can push this upstream to the -ati devs.

Martin Olsson (mnemo) wrote :

That last comment was a reply to António Lima of course.
@lesodk. No unfortunately I don't know how to fix the totem issue.

Hallo Bryce,

thanks for the PPA; just for your interest (and the benefit of all
others): The debs from the PPA work fine on one of my two 64-bit
machines, and also seem to resolve many of the glitches and performance
problems I had with video feedback.

On a second machine, with a HD 4350 and ASUS M3N78-EM mainboard, the
debs from the PPA fail to run: the xserver crashes with "no screens
found" with any driver I tried (fglrx, radeon, vesa). The stock xserver
works, apart from that annoying resizing performance problem. This
machine has 8GB, so maybe this is part of the problem as I have read
somwhere that people had problems with machines >3GB of RAM, but I'm out
of ideas to try in front of the screen, and would rather not like to try
go over to hardware swapping...

Best regards,
Stephan

Aby$ (serraf) wrote :

@Stephan I tried the deb yesterday (after party,,,) and I had the same issue with a HD3400. When I've restarted the machine, I get a black screen like the computer is shutdown so probably as you say, no screens found.

I've got also 3GB of RAM. What should be the best solution for me? Find something to make it working with 3GB of memory, rollback to the slowness, apply another patch??

Thanks :)

jrd (oberto) wrote :

@lesosk
I think you might be looking for answers in the wrong place as I don't think the fullscreen crash issue you are experiencing is related to this patch. I had the same issue before I applyed the patch and I had the same issue after I applied the patch.

You might need to file another bug report or look to see if someone else has done so.

My 2 cents

J

e.s.t (e.s.t) wrote :

I think, there is very simila problem here: https://bugs.launchpad.net/ubuntu/+bug/353800

abys wrote:
> @Stephan I tried the deb yesterday (after party,,,) and I had the same
> issue with a HD3400. When I've restarted the machine, I get a black
> screen like the computer is shutdown so probably as you say, no screens
> found.
>
> I've got also 3GB of RAM. What should be the best solution for me? Find
> something to make it working with 3GB of memory, rollback to the
> slowness, apply another patch??

Hi abys,

I don't know: I found a thread where people were claiming that reducing
memory to <=3GB resolved their problem (no screens found). So my 8GB are
way above that size. Unfortunately I can't find it anymore, and the
whole thread was a bit chaotic and not easily to follow, so I might have
drawn the wrong conclusions.

I find it quite weird that the simple patch in the PPA-debs results in
that "no screens found" behaviour for all three drivers I tried. For the
moment I have switched back to the standard jaunty-xserver and endure
the resize lag.

Regards,
Stephan

Thanks! I've installed this patch and with no any problems on my AMD64 + Radeon HD3600
All works smooth and fast! Nice job!
Regards!

Mohammad Alhobayyeb (mih1406) wrote :

After the patch via the PPA:
I cannot view movies in the fullscreen mode (screen goes black).
RAM 2GB.

Thanks for the patch

The patch works also for me

Compiz running fine with the fglrx driver. But I have still black bars in Firefox and GoogleEarth

summary: - [ubuntu 9.04 beta]slow unminimizing with ati card and desktop effects
+ [ubuntu 9.04] slow unminimizing with ati card and desktop effects
enabled

Ok after clean installation, patch applied, work fine!
Good job, thx =)

how should I apply this patch? to which package, xorg-server?
I don't want to revert back to 8.10 :(

Lloptor (lloptor) wrote :

I'm afraid this patch only works with proprietary drivers. Did anyone solve this issue with the open source drivers?
Thank you very much.

Pedro Ribeiro (pmalvr) wrote :

I have the same problem here. And i also noticed that if rhythmbox is playng, when i maximize, or open some programs the sound stops for a couple of seconds. I have Ubuntu 9.04 and my graphics card is an ATI Mobility Radeon HD 2400. Thanks in advance

danomatika (danomatika) wrote :

I had the same problem using Compiz with the ATI Mobility Radeon HD 3650 on my Lenovo Thinkpad T500 using fglrx. Resizing windows, etc was sluggish.

Installing Bryce's xserver sped things up nicely! Thanks for the PPA!

woo, cool, and thank you too, I'll try it.

2009/5/11 danomatika <email address hidden>:
> I had the same problem using Compiz with the ATI Mobility Radeon HD 3650
> on my Lenovo Thinkpad T500 using fglrx.  Resizing windows, etc was
> sluggish.
>
> Installing Bryce's xserver sped things up nicely!  Thanks for the PPA!
>
> --
> [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “fglrx-installer” source package in Ubuntu: Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
>        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>

After the patch everything works great except for playing videos at fullscreen mode, it hangs SO displaying black screen. If I switch off compiz, video at fullscreen mode works fine.

I'm running 9.04 on Sony Vaio FW11M with ATI 3400 HD.

If anyone knows how to solve the video problem it'll be great!

Hi,
After applying patch all works smoothly.
But found the problem reported above.

1. The video playback is unstable:
- Some times it freezes the player (reproducible in Thotem, VLC and all other players)
- Video playback sometimes is very sloooow, after player window resizing
- Crashes to black screen so that I need to hardware-reboot the hole operating system (!!!) during video playback (also on switching to full screen)

2. Screen capture software slows down the hole system:

I'm using "gtk-recordmydesktop" and it makes my system tooo looow so that it is impossible to record any actions.

Hope this will help to investigate this problem.

lesodk (eso-filter) wrote :

The fix causes more problems than i solves.
I can only recommend not to use it.

lesodk (eso-filter) wrote :

The fix causes more problems than it solves.
I can only recommend not to use it.

Michael Hall (mhall119) wrote :

For those having to use the open source driver, try the options listed here:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/363238

I was using fglrx in 8.10 with xserver 1.5, but ATI dropped support for my card (radeon 9600) from their xserver 1.6 compatible fglrx drivers, so after the upgrade I was using the "radeon" open source driver, which displayed a delay in maximize/minimize operations. The options listed by crjackson fixed that, without having to downgrade or patch my xserver.

tr33m4n (tr33m4n) wrote :

Thankyou for the patch... no problems yet :p

draenoch (draenoch) wrote :

The fix from the PPA works perfectly for me (graphics card identified as Mobility Radeon HD 3650).

For anyone experiencing further problems with OpenGL, turning off all desktop effects (I uninstalled Compiz) seems to fix them.

Thanks!

thatva (thatva) wrote :

Fix from PPA worked for me(Thinkpad X31, open source driver).

p1ngu1n (vincent-barberet) wrote :

Fix for PPA worked for me ( Radeon HD 3850), catalyst 9.4.

I just add to reinstall the catalyst proprietary drivers.
No issue with full screen video as of today.

really, thanks, thanks, thanks !

Luisma (luismacb-yahoo) wrote :

Patch worked perfectly!
-ATI Radeon HD 3650
-ATI drivers 9.5 from phoronix

Everything is working almost perfect like in ubuntu 8.10.

Please Canonical, make Ubuntu first stable before innovating! Although, open source driver is more convenient, fglrx driver works much better with less glitches. Please don't mess it up. I like Ubuntu and all his philosophy, but also, I want to take all my computer performance.

Thank you for the PPA!

Latchezar Tzvetkoff (polizei) wrote :

I can confirm the bug on my ASUS pro55 (ATI HD3470 512MB video)
I can also confirm that patching xorg-server fixed the issue for me (since I'm not using composite and such stuff I don't care in particular what else happens)

I'm also attaching lspci --vvnn's output..

Latchezar Tzvetkoff (polizei) wrote :

Forgot to mention, using xubuntu 9.04 clean install (just before a couple of hours) with fglrx driver..

Luigi Maselli (grigio) wrote :

i confirm this bug on radeon 4850 and metacity(compositing enabled)

ppetr (petr-podrouzek) wrote :

Hi everybody,

the patch seems to solve the problem. Unfortunatelly I spotted another thing - when playing movie the movie freezes every 5 - 6 mins for just one or two sec. It is nothing really bad, but you would expect the movie to go smoothly. Tested under VLC, Movie player...so the playback is not excelent after using the patch. I use 64 bit ubuntu...somewhere I have read that 64 bit does have some problems with videoplayback...

Anyone has same problem?

Same problem for me after upgrading from Intrepid to Jaunty.
Fixed with the PPA proposed in this post. Thanks!

My laptop is a Sony Vaio FW21Z with an ATI HD3650 video card.

Pierre (pgalode) wrote :

I've same problem too with my Dell Studio 15, Ati Radeon HD3450 graphics card.
I use the latest Ubuntu version, Jaunty in 64 bits.
I fixed the bug with the PPA too ! Thanks a lot to Ubuntu Community !
(sorry for my bad english ...)

"lspci -vvnn" command reports :

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3400 Series [1002:95c4]
 Subsystem: Dell Device [1028:029f]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 2296
 Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
 Region 1: I/O ports at 2000 [size=256]
 Region 2: Memory at fc000000 (32-bit, non-prefetchable) [size=64K]
 [virtual] Expansion ROM at fc020000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: fglrx_pci
 Kernel modules: fglrx

Tiago Katcipis (katcipis) wrote :

Just to report that i have the same problem with unminimizing, maximizing, unmaximizing on a ATI Radeon 4850 and ubuntu 9.04, on 8.10 this didnt happen :-(.

Miloslav Škrha (skrha) wrote :

Ou... I was aktualized Ubuntu today and problem is here again.
Any idea?
Thanks

PS:Sorry for my English

curtis (curtis-klope) wrote :

I followed some guidelines that I found here: http://ubuntu-virginia.ubuntuforums.org/showthread.php?t=1141060

Which led me to looking at my "/etc/X11/xorg.conf" file. It was mostly empty, so I added in the following lines, as indicated in the link above. And now everything is running much better. I'm sorry if this was already covered somewhere in this thread.

Section "Device"
Identifier "Configured Video Device"
Driver "ati"
Option "DynamicClocks" "on"
Option "mtrr" "on"
Option "DesktopSetup" "Single"
Option "ScreenOverlap" "0"
Option "VideoOverlay" "on"
Option "OpenGLOverlay" "off"
Option "Stereo" "off"
Option "StereoSyncEnable" "1"
Option "FSAAEnable" "no"
Option "FSAAScale" "1"
Option "FSAADisableGamma" "no"
Option "FSAACustomizeMSPos" "no"
Option "UseFastTLS" "0"
Option "BlockSignalsOnLock" "on"
Option "XAANoOffscreenPixmaps"
Option "AccelMethod" "XAA"
EndSection

Scott Brown (scotty-b-brown) wrote :

I have this problem aswell - ati mobility radeon hd3450

Francis (marbot) wrote :

Hi everyone

After installing the newest ATI Driver 8.612 on my Ubuntu 9.04, i ran into this problem too. I had a 2sec delay on maximizing / restoring windows using compiz.

I managed to solve it by installing :

XServer with no backfill functionality
https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

Everythings works fine again now,

My config:

- Ubuntu Jaunty 9.04
- ATI Mobility Radeon HD 3400 Series
- Driver Version 8.612

Hope this helps

Good Luck
Francis

hunterthomson (darden-tyler) wrote :

The patched Xserver package worked for me on Ubuntu.

I would like to try it on Archlinux.
Could you post the source code?

Pedro Ribeiro (pmalvr) wrote :

For when a real solution to this bug ?? Especially for those like me, that don't want to patch their Xserver ??

Ben T (bentucci523) wrote :

On irc, someone suggested I do this, and it really helped with video playback.

 Go to System > Pref > Main Menu, Under System
                     > Prefs, tick Multimedia Systems Selector. Close. Open up
                     Multimedia Systems Selector, on the Video tab, change the
                     plugin from autodetect to X Window System (No Xv)

Brendan_P (brendan-p) wrote :

This was already enabled for me, so still experiencing the same issue. But thanks for the tip on accessing that GUI, nice to know about that one!

Cheers
B

josepcoves (josepcoves) wrote :

Hi Ben T,

This thing really works! The perfect combination is the xserver patch + change from autodetect video to X Window (No Xv). Now I have no problem in maximizing/minimizing and I can play videos fullscreen with no problem!

Many thanks

mpausch (manfred-pausch) wrote :

had the same problem with KDE 4.2.4 on Arch Linx 64bit on a Dell Studio with Mobility Radeon HD 3450.
For me it worked to set "Fenster-Vorschaubilder vorhalten" to "always".
Sorry for the german word. I don't know how to get the english terms. But
"Fenster-Vorschaubilder" should be something like "Windows Preview Images"

Maybe my attached screenshot helps :-)

hm. just recognized, that unminimize windows works well, but resizing windows keeps a PITA.

Mephisto (mefaustopheles) wrote :

Thank you very much for the patch, i was desperate on the whole lag, frezzing thing. Now everything is fine

Alex (a-bergamini) wrote :

Yeah, thx a lot Bryce, ur PPA solved my problem....now xorg and desktop effects works fine.
Now i have only my ibm lotus notes (8) burning my cpu on startup.....even with desktop effects off. It's hard to find a solution here.....

braunt (braunt) wrote :

Hi Bryce.... The PPA works perfectly for me ....You are my hero... Now I own the perfect OS :-).... thx

Fastjack (skillful) wrote :

Confirmed on Dell 1555 (ATI Mobility Radeon 4570), under Jaunty 64 bit. Proposed patch 107_fedora_dont_backfill_bg_none.patch not working, in my case.

svaens (svaens) wrote :

Confirmed on Sony Vaio, ATI Mobility Radeon HD 3470.

So, is there a final fix for this? I would prefer not to patch something just to have the proper solution rolled out a couple weeks later.

Or, what is the consensus on this. What is the correct thing to do here?
Would the development at Ubuntu recommend I wait for an official fix (and use metacity in the meanwhile)
or is the patch described here good to go?

Bryce Harrington (bryce) on 2009-06-26
summary: - [ubuntu 9.04] slow unminimizing with ati card and desktop effects
+ [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
enabled

I've posted a new version of the -fglrx driver to our xorg-edgers PPA,
would you mind testing it either on Jaunty or Karmic and see if it
resolves this bug?

Get fglrx 8.620 here:

  https://edge.launchpad.net/~xorg-edgers/+archive/ppa

Changed in fglrx-installer (Ubuntu):
status: Confirmed → New
status: New → Incomplete
Brausepaul (onlineguy) wrote :

Will we see an official patch for this bug for Jaunty?

Pedro Ribeiro (pmalvr) wrote :

For when a resolution for this problem?
I also noticed that the sound stops for a few seconds when unminimizing windows. Please... fix this.
Thanks in advance

Bryce Harrington (bryce) on 2009-06-28
Changed in fglrx-installer (Ubuntu):
status: Incomplete → Confirmed
António Lima (amrlima) wrote :

Bryce, I tries the fglrx driver from xorg-edgers PPA but I can't activate the driver it seams. Her's the output of fglrxinfo.

X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 156 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 14
  Current serial number in output stream: 14

Jockey does not activate the driver either. I'm probably doing someting wrong but can't figure out what...

Yuriy Polezhayev (creeo-gd) wrote :

Confirmed on HIS Radeon HD 3870 IceQ3 Turbo with proprietary drivers and Ubuntu 9.04
1-3 seconds delay before [mini/maxi]mizing a window. Sound buffer fill stops during this pause.

107_fedora_dont_backfill_bg_none.patch did the job. Delays disappeared.

I think, there is a reason why this patch suits one and doesn't suit another. Maybe it Depends on video bios? 6 months passed after I bought this card before a working bios was released. Before that the card has troubles with cooling (fan speed control failed), GPU overclocking, video crashed in 3D mode independent from GPU temp. and speed. But as I just thought It might be more possible that the driver version matters. Some cards (26xx 34xx) may have older driver versions or smth. It was just a guess :)

sp219 (speaker219) wrote :

Confirmed on my Dell Studio 1555 with ATI Mobility Radeon HD 4570 graphics.

The patch (well, the pre-patched version from the PPA) solved the problem for me, but I'd really like to see a fix implemented in the mainstream package!

sp219 (speaker219) wrote :

I have noticed decreased fps with glxgears after installing the patched xorg...

marco (schlickspringer) wrote :

This package:

https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

works like a charm to resolve this bug. My system configuration:

Lenovo W500
ATI graphics driver fglrx
Ubuntu Jaunty

compiz running much better now !

HavocXphere (havocxphere) wrote :

Many thanks to Bryce Harrington for providing a solution.

Running x64 Jaunty w/ ATI 3850 and ati driver version 9.6. No real sideeffects noticed so far. I should however note that the glxgears score has dropped (6800fps ->1500 fps) as was to be expected (Martin Olsson mentioned reduced 3D performance above).

Steps taken to apply solution. (This might not be the most correct method though ;)

Imported key:
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0x643dc6bd56580ceb1ab4a9f63b22ab97af1cdfa9
(Thanks bitsteller)

Amended the sources list following line using:
gksu gedit /etc/apt/sources.list
by adding:
deb http://ppa.launchpad.net/ubuntu-x-swat/xserver-no-backfill/ubuntu jaunty main

Reloaded list in synaptics.

Located the ppa under the Origin tab.

Right-clicked xserver-common and xserver-xorg-core and selected upgrade.

Rebooted.

sp219 (speaker219) wrote :

Can anyone tell me if the decreased fps in glxgears will seriously affect performance anywhere? :(

svaens (svaens) wrote :

I would like confirmation that this is a work-around rather than a fix,
as something that reduces 3D performance, doesn't sound like moving forward.

Is this something that we put up with for now (to get a reasonably working desktop) until a real fix comes along?
Or is this considered a workaround?

This is a serious question. I would like to know what is the expectation of others here, who are testing this patch, so i can get an idea of what to expect from the future (however far forward that future may be).

Brausepaul (onlineguy) wrote :

While I don't test this patch my personal expectation is that a working desktop has higher priority than 3D performance. I can't imagine the outcry if a "fix" is presented via (K)Ubuntu's update mechanism which hampers 3D performance, though.

Confirming this issue in a Dell Studio 1537 with an ATI Mobility Radeon HD3450. Minimizing and maximizing lags for about 2 seconds, but the most annoying thing is that Xorg consumes a ridiculous amount of memory (reaching 800 MB after 30 min)

Like was say before, in Intrepid everything was working fine (some lag sometimes, but nothing important)

BTW, I hadn't tried the patch

The described patch "xserver-no-backfill" works flawlessly for me on

- Ubuntu 9.04 / 64 Bit
- Lenovo T500 with a Mobility Radeon HD 3650
- Catalyst 9.6

I experienced no performance loss in normal office work (not having tried any "serious" 3D stuff though). But compiz works a lot snappier now overall, so I can fully recommend this patch.

hlxshady (hlx-stephen) wrote :

I confirm that the patch works very well on
Lenovo T400 with Ubuntu 9.04 as well.

However, the problem that Xorg consumes a large amount of memory is still pending ...

And I also found that, some process might be holding a lot of memory at the same time, but after I locked the computer,
and woke it up, I can see that a certain amount of memory is released, by some process other than Xorg.
While the Xorg is still holding a lot and eating more minute by minute.

Does anybody have this problem or have a clue on it ...

Thanks :)

LastHylian (goodwin87) wrote :

In response to hlxshady's previous post, I will sometimes leave my PC on overnight with Pidgin and firestarter only running and come back to a slow and unresponsive PC due to Xorg using 100% CPU. I have installed the patch and it fixes the problem pretty well. Gnome-Do still has about a 1/2 to 3/4 sec delay, but that is passable. Can someone tell me how to find out what is causing Xorg to eat up my CPU? I have:

Ubuntu 9.04 x64
ATI Radeon HD 3650
The patch applied

P.S. While we are here, can someone tell me how to make Metacity the default window manager to load? Normally, compiz would load and I would manually change it back to metacity, but after I applied the patch, whenever compiz loads the screen is black (I have firestarter set to load on startup). When the screen is black, I put in my password and the screen comes back to normal. I would just like to have Metacity load and skip the while process.

Thank you everyone, I appreciate your time! ^_^

Pedro Ribeiro (pmalvr) wrote :

The main question we can make at this point is:

If so many people are reporting that this patch is working well, why it wasn't yet included in an official update from ubuntu ??

The patch causes tearing on some other (not ATI, obviously) drivers, so it's
not a solution for everyone.

On Tue, Jul 7, 2009 at 12:33 PM, Pedro Ribeiro <email address hidden> wrote:

> The main question we can make at this point is:
>
> If so many people are reporting that this patch is working well, why it
> wasn't yet included in an official update from ubuntu ??
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with
> ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can
> take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960
> Memory Controller Hub [8086:2a00] (rev 03)
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon
> Mobility HD 2600 Series] [1002:9581]
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>

@LastHylian

Thanks for you response :)

Have you tried "Compiz Fusion Icon" ?

I used to have a blinking screen problem in 8.10 while playing video under compiz, and I switched to metacity
when I needed to play a video using "Fusion Icon".

In addition to my previous post:

In my case, the patch just fixed the slow response of Maximising operation.
But it did nothing to improve the memory consuming problem, Xorg is still eating that much memory as before.
If my system is up for 9 hours, Xorg could eat 2G of memory (Virt + Res).

My video card is
ATI Mobility Radeon HD 3400 Series

Hello, I have the same problems as most other posters in Jaunty. I'm trying to enable Bryce's PPA, but so far nothing seems to have happened. I've added the deb lines, authenticated, &c. but am most likely missing something important. Would anyone be so kind as to provide a definitive list of steps necessary to apply his fix, start to finish? This would be terribly useful

Kejlsn (kejlsn) wrote :

Thank you sooo much for the patch!
First time in years I can use Ubuntu as I always wanted to.

Using Ubuntu 9.04.
Having a Radeon 4850 and uses 'fglrx' via 'Restricted Drivers'.

Finally the windows aren't laggy and everything else works just fine, movies, games and so on.

Just confirming it works.
Best linux-day ever for me :D

Pedro Ribeiro (pmalvr) wrote :

And those like me that don't want to apply a non-oficial patch. What can we do, wait for an oficial release? it will ever be one?

Brian J. Cohen (brianjcohen) wrote :

X has started crashing pretty frequently on me, ever since I installed bryceharrington's patched xserver. I am now trying to figure out how to uninstall his packages and revert back to the official ones. No luck so far.

1. comment out the PPA from /etc/apt/sources.list
2. run "sudo apt-get update"
3. sudo apt-get -y install apt-show-versions
4. sudo apt-get install $(apt-show-versions | grep -v $(lsb_release -sc) |
grep -v "No available version in archive" | awk '{ printf "%s/%s
",$1,$(lsb_release -sc) }')

Verify the list of packages it says it wants to re-install in step 4, the
list of packages to re-install should be all the X server related packages
you see if you click the little arrow next to "xserver-xorg" on the PPA
page: https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill<https://edge.launchpad.net/%7Eubuntu-x-swat/+archive/xserver-no-backfill>

On Mon, Jul 20, 2009 at 12:52 PM, Brian <email address hidden> wrote:

> X has started crashing pretty frequently on me, ever since I installed
> bryceharrington's patched xserver. I am now trying to figure out how to
> uninstall his packages and revert back to the official ones. No luck so
> far.
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with
> ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can
> take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960
> Memory Controller Hub [8086:2a00] (rev 03)
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon
> Mobility HD 2600 Series] [1002:9581]
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>

sp219: Your command from step #4 doesn't work. The only thing it output was for an unrelated package:

# apt-get -s install $(apt-show-versions | grep -v $(lsb_release -sc) |grep -v "No available version in archive" | awk '{ printf "%s/%s",$1,$(lsb_release -sc) }')
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Release 'stable/google-chrome-unstable/stable' for 'google-chrome-unstable' was not found

Confirming on AMD A2 64-bit Dual-core and PCI-E 2.0 ATI Radeon 3650 HD. Unminimize and Maximize are slow to respond. Though, window switching operates without any lag issues. Attached are the outputs from: "lspci -vvnn" and Xorg.0.log.

Confirming on AMD X2 64-bit Dual-core and PCI-E 2.0 ATI Radeon 3650 HD. Unminimize and Maximize are slow to respond. Though, window switching operates without any lag issues. Attached are the outputs from: "lspci -vvnn" and Xorg.0.log.

Brausepaul (onlineguy) wrote :

Is more info needed for a patch?

internaut (mako-mako-home) wrote :

Bug confirmed on Dell Studio 1555 with ATI Radeon HD 4570.

I tried the patch from the PPA, but it resulted in a blank screen after bootup... I wanted to reinstall the unpatched version from Ubuntu, but it doesn't work! I commented out the deb entries in the sources.list, made an apt-get update and tried "sudo aptitude reinstall xserver-common xserver-xorg-core" but it keeps saying me:
"E: I wasn't able to locate file for the xserver-common package. This might mean you need to manually fix this package.
E: Internal error: couldn't generate list of packages to download"

What can I do? I'm really stuck here!

I had this same problem with the Dell Studio 1555. You need to boot
into recovery mode and reinstall the proprietary ATI drivers.

It worked like a charm after that, but if you would really like to downgrade:
sudo apt-get upgrade

should downgrade the two packages

On Fri, Jul 31, 2009 at 8:58 AM, internaut<email address hidden> wrote:
> Bug confirmed on Dell Studio 1555 with ATI Radeon HD 4570.
>
> I tried the patch from the PPA, but it resulted in a blank screen after bootup... I wanted to reinstall the unpatched version from Ubuntu, but it doesn't work! I commented out the deb entries in the sources.list, made an apt-get update and tried "sudo aptitude reinstall xserver-common xserver-xorg-core" but it keeps saying me:
> "E: I wasn't able to locate file for the xserver-common package. This might mean you need to manually fix this package.
> E: Internal error: couldn't generate list of packages to download"
>
> What can I do? I'm really stuck here!
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
>        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>

Thanks, installing the proprietary ATI once again fixed it (but "apt-get upgrade" doesn't help... had to a "apt-get install xserver-xorg-core=2:1.6.0-0ubuntu14 xserver-common=2:1.6.0-0ubuntu14" to get the original X-Server versions back).

So I have a running 3D Desktop now, that takes 1 to 3 seconds (while playing music stops) to resize a simple window... :-/ I hope, that these issues are fixed soon for every 3D-card.

Pedro Ribeiro (pmalvr) wrote :

Hi,

How much more information is needed for this bug to be resolved?

Thanks

Daëavelwyn (daeavelwyn) wrote :

I have exactly the same problem (maximise/minimise really slow) I can add the problem is also present when I use yakuake. It take about 1 to 3 seconds between the moment I press the F12 key (to launch yakuake) and the moment it appears.

I've ubuntu 9.04 with a radeon 3670hd and FGLRX driver (9.7) . Compiz-fusion is enabled, but I've try with and without compiz-fusion, and the problem still appears.

Daëavelwyn (daeavelwyn) wrote :

Here is my Xorg.0.log

Hi linux_vip,

Which Radeon card you have in your Lenovo W500? How did you install the PPA mentioned in the link given by you? i.e.

https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

Basically, after adding the jaunty source, key and after apt-get update, what did you install?

Dag Stenstad (dag-stenstad) wrote :

Maximizing windows works great on my IBM/Leonovo Thinkpad W500 after upgrading to Xorg from xserver-no-backfill. I'm using fglrx directly from ATI (8.600). This seems to solve the bug where Xvideo-overlays would crash the machine, as mentioned in the drivers release notes.

svaens (svaens) wrote :

@Dag Stenstad
Perhaps I have misunderstood previous posts regarding this issue,
But I thought the xserver-no-backfill was the workaround/fix to remove the 3 second lag on unminimize.

And you say you "upgraded to Xorg from xserver-no-backfill".

Do you still have the delay, using "Normal" or "Extra" Visual Effects as configured using the "Appearances Preferences"
(compiz) ?

If not, could you explain exactly what you have installed that is not standard Ubuntu Jaunty ?

Thanks.

Thiago (cangussu) wrote :

The xserver-no-backfill fixes the maximize delay issue for me :)

System information:

- Thinkpad T400
- ATI Technologies Inc Mobility Radeon HD 3400 Series
- Drivers installed with ati-driver-installer-9-5-x86.x86_64.run (8.612 I think)
- Normal visual effects

Guys,

whoever is using Thinkpad T400 or W500, are you able to get suspend and hibernate working with desktop effects enabled?

Suspend to RAM is working fine with my T400 (configuration details on
my previous post). Haven't tried suspend to disk yet.

On Wed, Aug 12, 2009 at 12:58 AM, Prabhakar Nagral<email address hidden> wrote:
> Guys,
>
> whoever is using Thinkpad T400 or W500, are you able to get suspend and
> hibernate working with desktop effects enabled?
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
>        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>

Bryce Harrington (bryce) on 2009-08-13
tags: added: jaunty

I have applied the patch, and the resize/maximize problem seems to be solved. However, I am experiencing serious memory leaks in the X server. After running for 2 days, I already ate 47% of my 3GB of RAM.

Brausepaul (onlineguy) wrote :

Any updates on this?

Hi,

After i installed xorg driver with no backfill functionality, I was good to go. Except that suspend and hibernate doesn't with with desktop effects enabled.

Regards,
-P

--- On Tue, 1/9/09, Brausepaul <email address hidden> wrote:

> From: Brausepaul <email address hidden>
> Subject: [Bug 351186] Re: [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> To: <email address hidden>
> Date: Tuesday, 1 September, 2009, 8:22 PM
> Any updates on this?
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and
> desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu:
> Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new
> bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really
> slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the
> same problem.
> The opening of a window present the same bug, freezing the
> system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile
> PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev
> 03)
>         Subsystem: Acer
> Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies
> Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>         Subsystem: Acer
> Incorporated [ALI] Device [1025:011e]
>
>

      See the Web&#39;s breaking stories, chosen by people like you. Check out Yahoo! Buzz. http://in.buzz.yahoo.com/

Hi there, same problems on Jaunty 9.04 64bit with ATI HD3650

In my experience, update ATI drivers to latest version (if your card is supported by latest Catalyst) by downloading the installer from the ATI website and that will fix the restart/hibernate issues.

Update your xserver with the "no backfill" version and you will get occasional garbage as you resize windows or use other effects but the annoying delay will be gone. It would be nice to see this fixed in Karmic. Compiz has been very temperamental with ATI cards.

Cheers

Churchy (churchy) wrote :

Bug confirmed on Jaunty 9.04 running on a Sony Vaio SR21M notebook, which has an ATI Mobility Radeon HD3400 built in.

The proposed xserver-no-backfill bugfix works fine.

smerz (daniel-genis) wrote :

This bug also occurs in Karmic Alpha 5.

I have tried the no backfill x-server, however it seemed that the X-Server will eat more and more memory over time.

I'm really puzzled since this worked flawlessly in 8.04 :(.

Are we sure this is an issue with the X-Server?
Or does it lie with the ati drivers?

I'm asking because presently this bug is attached to the fglrx package.
Maybe it needs to be assigned to X server so the appropriate people get noticed about this bug?

Cheers

Aaddron (aaddron) wrote :

I've found this is not a Ubuntu specific bug, the bug is present in multiple distro's and like Ubuntu this bug was not present in the past releases. In all the distro's tested the ones affected where the ones released around or after the release of 9.04 (Mandriva 2009.1 for example) so whatever is causing this is something lots of up to date distro's started using in there latest releases. Couple things that come to mind would be new kernel, new Xserver and new ATI drivers. My uneducated guess would be it has something to do with the new Xserver or the new drivers... maybe a little of both. Hopefully this information is of some use to someone.

I have a HD3450 and the xserver-no-backfill patch like many before me has fixed the issue in Ubuntu.

baeza (baeza) wrote :

I have HD4330 with 9.04 x86. No patch. Compiz enabled. Using latest ati catalyst 9.8 drivers. I only have noticeable delay in resizing windows. The rest of effects work like 8.10 or 8.04. Has anyone find improvement using these drivers?

Geek87 (geek87) wrote :

Hi!
I'm also affected by this bug under an up to date Karmic install with the fglrx driver from the repository and with an ATI Radeon HD 3850.
Bye!

Hi Geek87,

Install xorg driver with no backfill functionality from below link

https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

This problem will be solved. But suspend/hibernate with desktop effects enabled is still not working for me

Hope this helps!

Regards,
-P

--- On Fri, 18/9/09, Geek87 <email address hidden> wrote:

> From: Geek87 <email address hidden>
> Subject: [Bug 351186] Re: [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> To: <email address hidden>
> Date: Friday, 18 September, 2009, 1:37 AM
> Hi!
> I'm also affected by this bug under an up to date Karmic
> install with the fglrx driver from the repository and with
> an ATI Radeon HD 3850.
> Bye!
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and
> desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu:
> Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new
> bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really
> slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the
> same problem.
> The opening of a window present the same bug, freezing the
> system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile
> PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev
> 03)
>         Subsystem: Acer
> Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies
> Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>         Subsystem: Acer
> Incorporated [ALI] Device [1025:011e]
>
>

      Add whatever you love to the Yahoo! India homepage. Try now! http://in.yahoo.com/trynew

Hi!
Maybe it can solve the problem but no matter. Do you find normal that a little half of people (ATI cards owners) installing Ubuntu have to add a ppa to get a working desktop? It's time for this bug to be fixed.
Bye!

James Coster (dev-blue-shift) wrote :

Prakhakar,
The PPA you state contains a patch for an older version of that used in Karmic and therefore is rendered useless.
I'm experiencing the same symptoms under a fresh install of Karmic Alpha 6 fully updated and with desktop effects enabled.

Hi, guys. After installing fglrx xorg driver from PPA
https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill 1-3 sec delay has gone. But i had been stucked with another issue - Xorg Memory Leakage https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/372345. It was resolved after installing the latest driver from ati.com like described here http://wiki.cchtml.com/index.php/Ubuntu_Jaunty_Installation_Guide#Installing_the_drivers_manually

Pedro Ribeiro (pmalvr) wrote :

And what for those that don't want to apply a patch ? I think is time for this bug to be resolved. I'm hoping that in karmic 9.10 it could be finally fixed.

Hi Sergey Sventitski,

Is suspend/hibernate functionality working for you when you have desktop effects enabled?

Regards,
-P

--- On Sun, 20/9/09, Sergey Sventitski <email address hidden> wrote:

> From: Sergey Sventitski <email address hidden>
> Subject: [Bug 351186] Re: [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> To: <email address hidden>
> Date: Sunday, 20 September, 2009, 3:45 PM
> Hi, guys. After installing fglrx xorg
> driver from PPA
> https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill
> 1-3 sec delay has gone. But i had been stucked with another
> issue - Xorg Memory Leakage https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/372345.
> It was resolved after installing the latest driver from
> ati.com like described here http://wiki.cchtml.com/index.php/Ubuntu_Jaunty_Installation_Guide#Installing_the_drivers_manually
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and
> desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu:
> Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new
> bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really
> slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the
> same problem.
> The opening of a window present the same bug, freezing the
> system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile
> PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev
> 03)
>         Subsystem: Acer
> Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies
> Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>         Subsystem: Acer
> Incorporated [ALI] Device [1025:011e]
>
>

      Now, send attachments up to 25MB with Yahoo! India Mail. Learn how. http://in.overview.mail.yahoo.com/photos

Can't agree more.

Regards
Brendan

2009/9/20 Pedro Ribeiro <email address hidden>

> And what for those that don't want to apply a patch ? I think is time
> for this bug to be resolved. I'm hoping that in karmic 9.10 it could be
> finally fixed.
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Confirmed
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with
> ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can
> take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960
> Memory Controller Hub [8086:2a00] (rev 03)
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon
> Mobility HD 2600 Series] [1002:9581]
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>

Hi!
I've Karmic installed on my desktop and today, when updating, I got a new Fglrx driver which is more recent than the one on ATI website. I installed it and restarted my computer but the problem isn't solved yet. So I wonder, Sergey Sventitski, how did you get the problem solved?
Bye!

I'm still experiencing this with fglrx 8.66.10 (Sep 3 2009) / Catalyst 9.10. Since this is a vendor (ATI/AMD) issue, the authoritative bug report is:

http://ati.cchtml.com/show_bug.cgi?id=1546

If you'd like to show AMD this is important to us to fix, login to ati.cchtml.com and select the 'Vote this bug' button!

I am having decent results with the patch and the latest ATI driver. I have power saving back on the monitor now. I haven't noticed garbage on blank windows either, but that may be coincidence.

10 people total have posted votes to that bug. You can vote 100 points each.

Daniel:
>Since this is a vendor (ATI/AMD) issue, the authoritative bug report is:
>
>http://ati.cchtml.com/show_bug.cgi?id=1546
>
>If you'd like to show AMD this is important to us to fix, login to ati.cchtml.com and select the 'Vote this bug' button!

laleshii (rrr-junior) wrote :

This bug persists since forever. I've installed ubuntu from todays daily live build. Same issue. Something must be done. It's annoying.

Brian J. Cohen (brianjcohen) wrote :

As a follow-up to leleshii's comment, not only has this been around forever, but the -no-backfill patch does NOT fix the problem (at least, not for everyone) and introduces new issues (as documented in this bug). I have voted for the bug at AMD's site and I hope some of the rest of you do too.

Can confirm, with an HD3870 under Karmic x64. The package xorg-no-backfill solves my problem with these lags on Jaunty. But now, with Karmic the lag problem is back again....

Sven K. (sven.k) on 2009-09-27
tags: added: karmic
Bart Verwilst (verwilst) wrote :

Same issue on Karmic, HD4850, voted @ amd bugzilla too.

bwat47 (bwat47) wrote :

I don't understand why the ubuntu team can't put this patch in the repos for ati users to install. We don't give a damn about intel card bugs we want a working fix. If its in the repos intel users dont have a bug and we can fix ours.

As far as I can tell, I wouldn't be happy if this 'patch' was considered the
fix,
I thought i've read reports that with the nobackfill patch, while the delay
is gone, a huge memory leak issue replaces it.
Or have I understood the previous posts incorrectly.
Please correct me if so. But it is my understanding that this has to be
fixed at AMD, which is why some of us have been voting for the issue.

It would be very nice to clear this up, as to whether it is an xorg problem,
or a proprietary AMD driver problem!
Anyone got any definite answers on that one?
Regards,
Sean

José Tomás Atria (jtatria) wrote :

i've been using the patched xorg, and xorg reports 3% memory usage
after 8 hours of uptime (just updated today). I'll check back in the
morning.

There are some weird artifacts for a fraction of a second when drawing
windows, though. Still, better than those horrible delays.

On Mon, Sep 28, 2009 at 11:10 PM, svaens <email address hidden> wrote:
> As far as I can tell, I wouldn't be happy if this 'patch' was considered the
> fix,
> I thought i've read reports that with the nobackfill patch, while the delay
> is gone, a huge memory leak issue replaces it.
> Or have I understood the previous posts incorrectly.
> Please correct me if so. But it is my understanding that this has to be
> fixed at AMD, which is why some of us have been voting for the issue.
>
> It would be very nice to clear this up, as to whether it is an xorg problem,
> or a proprietary AMD driver problem!
> Anyone got any definite answers on that one?
> Regards,
> Sean
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

Same kind of problem here.

lspci -vvnn :

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] [1002:4c66] (rev 02)
        Subsystem: IBM Device [1014:054d]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR+ FastB2B+ DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 66 (2000ns min), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 3000 [size=256]
        Region 2: Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at c0120000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
                Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3- Rate=x1,x2,x4
                Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Kernel modules: radeonfb

Hope this helps.

Thorkhas (jc-opencoin) wrote :

The PPA patch for xorg did improve window performance, and the system is now close to usable, however it still remains a little sluggish... Thanks a lot for this ppa !

I have an alternative patch (no PPA, sorry), that replaces the backfilling of pixmaps with clearing them. Pixmaps with an alpha channel will be initialized transparent. Pixmaps without an alpha channel will be initialized black. That replaces temporary corruption observed with KDE menus with temporary black squares until the actual menu appears. Performance should be about the same as with the no-backfill patch but this one fixes the potential security issues of exposing random memory contents.

Michel (degreef-michel) wrote :

I think it has been mentioned before but it may be worth mentioning again.

I have a Radeon HD 3650 chipset and experienced this bug which, in my opinion, was a show stopper, within 6 hours of the official Jaunty release. It did shake my resolve to stick with Linux and very nearly reverted to Windows (sigh!). I only went exclusively Linux about a year ago.

The only satisfactory answer, for me, was to install ATI latest driver. It can be downloaded here: http://support.amd.com/us/gpudownload/Pages/index.aspx .

This makes my Jaunty Kubuntu work like it should albeit marginally slower than Intrepid Ibex version. I have not installed the suggested PPA. I do use compiz and all is fine and with acceptable speed with the latest driver (which I believe is different from the distro one).

I hope this may help somebody else.

It may help to post your experience with these drivers for other problematic ATI chip-sets.

Michel

James Coster (dev-blue-shift) wrote :

@Felix Kuehling, does the xserver-no-backfill patch need to be applied before this patch? And will it work on the latest Karmic?

The patch is against the Xserver source shipped with Karmic's xorg-server 1.6.3-1ubuntu4. Do not apply the no-backfill patch at the same time as my backclear patch, they are mutually exclusive.

James Coster (dev-blue-shift) wrote :

Thanks. Looks good and I can't wait to try it out.

However, attempting to run 'patch -p1 < xserver-xorg-backclear.patch' I get a 'file not found on line 3' error and it asks me for which file to patch?

bwat47 (bwat47) wrote :

Yes how do you use this patch

Try this sequence of commands:

sudo apt-get build-dep xorg-server
apt-get source xorg-server
cd xorg-server-1.6.3
patch -p1 < /path/to/xserver-xorg-backclear.patch
debuild
cd ..
sudo dpkg --install xserver-xorg-core*.deb

bwat47 (bwat47) wrote :

Thank you for telling me how to install it :) delay seems to be completely gone now for me. Works very well.

James Coster (dev-blue-shift) wrote :

absolutely brilliant.
Fixed my HD3650 restore problem without fail.
The debuild ended on this:
"Now signing changes and any dsc files...
 signfile xorg-server_1.6.3-1ubuntu7.dsc Loïc Minier <email address hidden>
gpg: skipped "Loïc Minier <email address hidden>": secret key not available
gpg: /tmp/debsign.EVxIHZtW/xorg-server_1.6.3-1ubuntu7.dsc: clearsign failed: secret key not available
debsign: gpg error occurred! Aborting....
debuild: fatal error at line 1255:
running debsign failed"

But other than that, problem has been resolved.
Thanks.

James Coster (dev-blue-shift) wrote :

One thing; attempting to run an 'apt-get update' 'apt-get upgrade', I get asked whether I want to upgrade the xserver-xorg-core package and the related dev one.

Surely if I update this I will lose the patch?

aarons (aarons-ubuntu) wrote :

Just applied the latest patch, and I also am no longer observing the slowness. If I notice anything else strange that seems to have come with the patch, I'll add another comment.

Felix: Thank you! This has been driving me nuts since upgrading to jaunty.

For the record my hardware is an HD3400 in a dell studio 1537

As you may already know, it also affects karmic with the latest xserver-xorg-core package (1.6.3-1ubuntu7)

br
HPS

Hi all,

I have a couple questions before I jump into this.

@Felix

You mentioned this is a patch against the Xorg version 1.6.3 included in
Karmic.
Does that mean I should not use it in Jaunty with Xorg 1.6.0 ?

Also, a subscriber to this bug, Michel, mentioned above that he was able to
solve his problem by installing only the latest ATI driver from
http://support.amd.com/us/gpudownload/Pages/index.aspx

Now I am wondering what I should do. I have an ATI Mobility Radeon HD3470.

Should I first check if this new ATI driver fixes it for me? It would seem
this would be the cleanest fix?

@Anyone

Does anyone know if it is planned Karmic include the latest driver referred
to by Michel ?

@svaens

The ati driver in karmic is actually already newer than the one on ati's site (pre-release cat 9.10) the one on atis site is 9.9. I have used 9.9 before and it did not fix it for me.

@svaens: Xorg 1.6.0 is fairly close to 1.6.3. You could try applying the backclear patch to it. I'd say your chances are about 95% that it'll work.

In my experience the latest drivers don't resolve this issue.

Gerardo Contreras (gera-gera) wrote :

Patch worked 100% over here.

Dell Studio XPS 16
01:00.1 Audio device: ATI Technologies Inc RV635 Audio device [Radeon HD 3600 Series]
Kubuntu karmic / all updates

I have a Lenovo W500 with Radeon HD3650 card running Ubuntu 9.04. My xorg version is 1.6.0

The problem of slow unminizing, etc with desktop effects enabled is now solved after applying XServer with no backfill functionality from the below link:

https://edge.launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

However, I am facing a new problem now. The problem is, whenever I reduce the resolution, the screen size shrinks from all the 4 sides rather than changing the resolution. I had opened a thread in ubuntuforums for this, whose link is:

http://ubuntuforums.org/showthread.php?t=1239921

I have not got any response over there. Could someone help me out in solving this problem?

Lachezar Dobrev (lachezar) wrote :

Prabhakar: You're probably missing a BIOS setting to expand the Flat Panel view. Check your BIOS settings.

People!
I am using Ubuntu 9.04 AMD64 on a Lenovo T500, with dual video:
- an Integrated 'Intel'
- a 'Discrete Graphics Adapter: ATI Radeon 3650 (Mobility HD)

Due to many problems with the ATI drivers I am inclined to use the slower, but better supported Intel video (it has different problems). The BIOS allows me to turn the ATI off and use the integrated Intel, which is what I am doing now.

I am following this thread, and while I am not willing to sacrifice stability using the No-Back-Fill (due to memory leaks), I was wandering if the Clear-Rather-Than-Back-Fill displays similar problems.
I am also a bit cautious, since the provided patches touch the XOrg server itself. If something goes wrong I fear I may end up with a system that will not be revert-able to a working condition.

Is there any way I can test this using a Live CD and patch on-the-fly?

bwat47 (bwat47) wrote :

No memory leaks here using the backclear patch

Xavier (zheka-prog) wrote :

I tried this patch in this way:
1) installed ATI driver from AMD site.
2) created patched deb package version 1.6.0 of xorg
3) installed new xorg

When restarted, nothing can be seen. Only black screen.

What I have missed? Maybe I need 1.6.3 version of xorg sources?
Or maybe my steps are not correct?

laleshii (rrr-junior) wrote :

I have a ATI 3450 HD. The patched worked just fine, but yesterday updated karmic packages and now I just get a flashing white screen on booting Ubuntu. Begining to lose my temper in this situation. AMD drivers in linux are really a paine in the a**.
Also in the short time everything was suppose to work fine ... I had some trouble configuring my screens when connecting to a HDTV ( I couldn't disable my laptop screen ).

Bryce Harrington (bryce) on 2009-10-07
tags: removed: needs-lspci-vvnn needs-xorglog
Pedro Ribeiro (pmalvr) wrote :

I really hope to see this almost pre-historical bug resolved before Karmic's final version.

Xavier (zheka-prog) wrote :

Downloaded deb packages from launchpad resource. Installed them and now lag dissapeared.
Only problem in the hibernate... But seems that I can go smoothly without it ;)
Thank you guys ;)

deb package?
What deb package, and what is the link?
Good for jaunty? Or only Karmic ?

thanks!

On Wed, Oct 7, 2009 at 7:35 PM, Xavier <email address hidden> wrote:

> Downloaded deb packages from launchpad resource. Installed them and now lag
> dissapeared.
> Only problem in the hibernate... But seems that I can go smoothly without
> it ;)
> Thank you guys ;)
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

José Tomás Atria (jtatria) wrote :

ppa rep with the patch for karmic plis?

On Wed, Oct 7, 2009 at 4:45 AM, svaens <email address hidden> wrote:
> deb package?
> What deb package, and what is the link?
> Good for jaunty? Or only Karmic ?
>
> thanks!
>
> On Wed, Oct 7, 2009 at 7:35 PM, Xavier <email address hidden> wrote:
>
>> Downloaded deb packages from launchpad resource. Installed them and now lag
>> dissapeared.
>> Only problem in the hibernate... But seems that I can go smoothly without
>> it ;)
>> Thank you guys ;)
>>
>> --
>> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
>> enabled
>> https://bugs.launchpad.net/bugs/351186
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

#246 how did you conclude no memory leaks?

I applied the backclear patch and for me it has the same effect as the no-backfill patch.

Uptime 23 hours
Xorg memory usage: 2.5 GB (!!!!)

To me both patches are workarounds. I find it hard to consider either a proper fix :(.
If I have an uptime of 2 days I will use 5gb ram.

:(

bwat47 (bwat47) wrote :

Maybe I concluded it because I get no memory leak on my system? Couple hours uptime, never goes over like 900 mb ram usage.

Sam (sam137) wrote :

I can confirm this bug was affecting my Thinkpad W500's Radeon HD3650 in jaunty and the new karmic beta (32 and 64bit). It was unbearable. I just applied Felix's backclear patch and it fixed it!

Daëavelwyn (daeavelwyn) wrote :

On my dell studio XPS 1640 with ati HD3670, the patch from Félix Kuehling works perfectly (really thanks félix !!), minimize and resize windows are no longer a problem for me :-)

If someone wants to apply the patch, here is a little sum up :

first, DL the patch :

 http://launchpadlibrarian.net/32728179/xserver-xorg-backclear.patch

then in a terminal do :

sudo apt-get build-dep xorg-server
apt-get source xorg-server
cd xorg-server-1.6.3
patch -p1 < /path/to/xserver-xorg-backclear.patch
sudo apt-get install devscripts
debuild
cd ..
sudo dpkg --install xserver-xorg-core*.deb

I've the last 1.6.4 version of xorg-server, and it's work even if the patch was made for 1.6.3

Flair (aurelz) wrote :

I can also confirm the backclear patch by Felix, and works on 1.6.4 following from Daëavelwyn's instructions.

Put this fix into Ubuntu 9.10 final release please.

laleshii (rrr-junior) wrote :

Applied the patch worked great besides some minor glitches, but after 7-8 hours of standby I discovered it was producing a memory leak.

Pedro Ribeiro (pmalvr) wrote :

How long does it take to put a fix of this problem by default on Ubuntu?

Bryce Harrington (bryce) wrote :

I think the memory leak issue should be sorted out before this patch is included for karmic.

Also, since the no-backfill patch produced glitches for some kde users I'd like to hear test results against KDE for this, using at least -intel and -ati.

laleshii (rrr-junior) wrote :

I agree that the memory leak should be resolved, but I am astonished of the speed that things are going. This bug strikes more than 1 year when 9.10 is released and I don't see anything but some community patches that just produce memory leaks.
It's really becoming a matter of the image of Ubuntu. ;)

Lachezar Dobrev (lachezar) wrote :

I don't think putting either patch into the public release would be smart.
Neither patch fixes the defect, rather both provide a work-around at a cost. The wrong part is that since both patches target the XOrg server itself the cost would have to be paid by any user, regardless of whether he/she uses the defective drivers.
I have not seen any similar defect notes with a different driver, that leads me to believe the problem lies within the driver, not XOrg.

Even though I am affected by this bug I would rather drop using visual effects (or use the integrated Intel VC), rather then imposing negative effect to the other Ubuntu users.

Is there any way this issue can be resolved WITH Ati/AMD, rather then DESPITE Ati/AMD?

bwat47 (bwat47) wrote :

If we can't find a better solution (which hopefully we can) Why does everyone ignore that fact that it does NOT have to be INCLUDED by default. Put it in the repos so people who want the fix can easily install it without having to compile from source. For example arch linux has it in their repos as xorg-minimize-fix.

ehem, i don't know who is supposed to decide this, but i think that
such a visible usability bug on one of the three typical
configurations (ATI's fglrx) will be a major showstopper for many new
users.

We need to find a solution, any solution, that does not require
googling and installing some dark non-default package to make the
desktop usable.

I understand that the fix might not be ideal, but whatever is decided,
it has to imply an automatic solution without user intervention. If we
know that this problem affects all fglrx installations, then we could
push the patch as a dependency on the jockey installation process of
the propietary driver or whatever.

On Mon, Oct 12, 2009 at 10:58 PM, bwat47 <email address hidden> wrote:
> If we can't find a better solution (which hopefully we can) Why does
> everyone ignore that fact that it does NOT have to be INCLUDED by
> default. Put it in the repos so people who want the fix can easily
> install it without having to compile from source. For example arch linux
> has it in their repos as xorg-minimize-fix.
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

Geek87 wrote on 2009-09-20: #215

>Hi!
>I've Karmic installed on my desktop and today, when updating, I got a new Fglrx driver which is more recent than the one on >ATI website. I installed it and restarted my computer but the problem isn't solved yet. So I wonder, Sergey Sventitski, how did >you get the problem solved?

Hi, Geek87, It was solved under ubuntu 9.04 and the latest FGLRX drivers 8.650 from ATI. Now i've updated to Karmic and have the same issue again fglrx version is 8.660 (

Bryce Harrington (bryce) wrote :

I understand people's frustration that this is not looking likely to make it into Karmic given the time remaining, but instead of fretting about it please realize there is still a window of opportunity for inclusion, so it would be much more productive to go find hardware or friends with hardware running drivers beyond fglrx, have them test the patch and give results here. We will need test results both against KDE and GNOME.

In case you don't understand my caution - this patch is to fix a problem specific to fglrx but it is against xorg-server so affects code used by ALL drivers. Given that there have been confirmed reports about memory leaks occurring from this patch, my concern is that this could potentially introduce memory leaks for all users. If this were to occur, it might improve things for a few users but would degrade Ubuntu for the vast majority, which personally I think would be unfortunate.

Gustavo A. Díaz (gdiaz) wrote :

I am using latest Kubuntu Karmic with ATI Technologies Inc Mobility Radeon HD 3450 and fglrx and is slow (real slow...) by using or not desktop effects and i notice it more when i move a Window.

Gustavo A. Díaz (gdiaz) wrote :

Sorry, I meant resizing windows...

Daëavelwyn (daeavelwyn) wrote :

Applying last Karmic Koala update today cause this bug appears again.
a xserver-xorg packages was updated, and I''ve had to patch again with Félix Kuehling's patch.
After applying the patch, problem disappears.

Bryce Harrington (bryce) wrote :

Unfortunately, now the window of opportunity has closed. Since the testing coverage has not been as wide as needed, this bug will have to be left for LL to solve.

Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
svaens (svaens) wrote :

Incomplete ?
What else is needed for this bug to be confirmed? I don't understand.
when a bug is marked as 'Incomplete' it typically doesn't get worked on, I believe.
Please explain.

Aisthesis (aisthesis) wrote :

Incomplete because, in order to confirm that the patch is acceptable to be included in xorg, it needs tested on other installations with intel, nvidia (drivers other than fglrx).

I have an ati laptop and nvidia desktop, will post my findings when I have the time. Others should as well if you have alternate hardware configurations so this bug/patch can be expedited.

Just applied the xserver-xorg-backclear.patch. Everything goes faster, very nice speed of maximizing, unminimizing windows. Testing the memory leakeage now. Will report later

p.s. Karmic (Ubuntu 9.10) with fglrx 8.660

Denham Coote (denhamcoote) wrote :

I must be a complete idiot. I tried patching, as per #256. All seemed to be going ok.
Got the same errors as #236. Proceeded to install. Rebooted.

Windows still take 5 seconds to restore.

Am I missing something?

Dell Studio 1735, Radeon HD 3650, Ubuntu, x86, xorg-server_1.6.4

Hello,

Are you sure about the steps ?? I will trying to explain more :

Have you completely migrate to Karmic Koala Beta version ???

first, DL the patch :

 http://launchpadlibrarian.net/32728179/xserver-xorg-backclear.patch

then in a terminal do :

sudo apt-get build-dep xorg-server
apt-get source xorg-server
cd xorg-server-1.6.4 <= be careful to ajust the version to your xorg
server version
patch -p1 < /path/to/xserver-xorg-backclear.patch <= be careful to enter
the right path to the patch.
sudo apt-get install devscripts
debuild
cd ..
sudo dpkg --install xserver-xorg-core*.deb
You will probably have some gpg error, but it's not a problem, just ignore
them. I hope I can help you, otherwise, I'm afraid I can't do nothing more
:-s

Daeavelwyn.

On Thu, Oct 15, 2009 at 2:49 AM, Denham Coote <email address hidden> wrote:

> I must be a complete idiot. I tried patching, as per #256. All seemed to
> be going ok.
> Got the same errors as #236. Proceeded to install. Rebooted.
>
> Windows still take 5 seconds to restore.
>
> Am I missing something?
>
> Dell Studio 1735, Radeon HD 3650, Ubuntu, x86, xorg-server_1.6.4
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hi Daëavelwyn

That's pretty much exactly what I did, yes.

The only thing I can see as being different is that I installed from the Karmic Beta CD, as opposed to upgrading from Jaunty.

Ah, just looking at you commands, I realise I may have issued 'patch -pl' instead of 'patch -p1'. I will try again tonight and let the list know.

Thanks,

Denham

Guys, system(Karmic) up and running with backclear patch for 20 hours and there are no memory leaks. Xorg using about 110 mb of memory. Thank you Felix for helping us with this endless battle Ubuntu vs ATI :) Also as i have Lenovo t500 laptop with 2 videocard i will test that patch behavior on my integrated Intel video card later. Will inform you guys soon.

Denham Coote (denhamcoote) wrote :

Apologies in advance if this is a dumb question or the wrong place to ask, but:

As I've (wrongly) patched and installed xorg, what steps would I need to take to rectify? I assume that the patching didn't actually work and I ended up installing a vanilla version. Would I first need to remove the currently installed version and then repeat the steps, or am I safe to simply follow the instructions from the beginning again (will my unpatched version be replaced, without removing first?)

Thanks in advance,

Denham

Denham Coote (denhamcoote) wrote :

That worked! Turns out I'm just a dumbass. Having just rebooted, my memory usage is 465mb, with Xorg using 105mb. I'll let you know the status after it's been running for a while/overnight.

Thanks for the help,

Denham

rmmm. I would have thought that incomplete means that there's not
enough information to further locate the problem and hence the bug is
impossible to work on.

On Wed, Oct 14, 2009 at 5:17 PM, Aisthesis <email address hidden> wrote:
> Incomplete because, in order to confirm that the patch is acceptable to
> be included in xorg, it needs tested on other installations with intel,
> nvidia (drivers other than fglrx).
>
> I have an ati laptop and nvidia desktop, will post my findings when I
> have the time. Others should as well if you have alternate hardware
> configurations so this bug/patch can be expedited.
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

svaens (svaens) wrote :

Yes, that was also my understanding of 'incomplete'. And I asked precisely
because I was afraid that its status of 'incomplete' would see it being left
out by Ubuntu developers.
Could the powers that be reconsider the status of this bug?, as I believe
there is plenty of information to list it as either;
a) can't fix (ATI bug only)
b) will fix (xorg bug)
c) will fix (ATI bug, but we can work-around without causing Intel users
problems, i.e. the patch is ok with intel, nvidia).

The backclear patch works fine with a Radeon Mobility 3650HD here. In several days, no noticeable memory leaks in several hours of uptime each. I'd love to see the patch applied in the official repositories.

Pedro Ribeiro (pmalvr) wrote :

I also would like to see this patch in the official repositories.

Nicolas Delvaux (malizor) wrote :

More simple (because there is not enough time remaining for karmic), just provide an OPTIONAL package in repositories.
This way, there will be no problem with intel/nvidia users.

An other (temporally) solution may be to set up a ppa with the patched xorg → it will be easier than patching/compiling for average users).

Nicolas Delvaux (malizor) wrote :

Thank you SO much, it works as expected.
I notice only now that several ppa were already set-up. (sorry but there is too much comments here ;))
Which ppa is recommend ? which one will be maintain up to date ? and for jaunty ?

We shall not confuse the two solutions that have been offered so far.

First, there was the no-backfill patch that made its way into the PPA linked in #285, that is https://launchpad.net/~launchpad-weyland/+archive/xserver-nobackfill/

Second, there is the backclear patch provided by Felix Kuehlig in #228. I have been using this patch for days now - and I am not experiencing any problems. I'd be happy to see a PPA for this patch. Downloading, patching, compiling is kinda tough for non-skilled users.

This bug is disappointingly still present with the Catalyst 9.10 (8.661) drivers officially released a couple of days ago.

Zega (khonkurst) wrote :

Hey guys. I'm going to be just a little bit off topic, but it seems that this is the only place where this critical issue is being debated. I'm disappointed not to find any reviews (along with suggestions) of this issue on any tech site.

I've discovered Ubuntu right when Jaunty came out, and to my (un)luck, i have a Toshiba laptop with an ATI Mobility Radeon 2600 HD. So i have the same problems as you guys. I applied the backfill patch, but soon got fed up with the still-sluggish environment, and the difficulty in doing routine tasks that require more than just a bit of video power (tabs, IDEs, videos etc) , that on Windows were not a problem.

So i decided to put Ubuntu for a nap until it was properly fixed. I had it as a second booter, but mainly used Windows and reguraly checked for updates on this issue..

Now, after a very nightmareish night of trying to install Visual Studio, that ended up tearing down the whole syhen stem (i'm not a beginner but this is ridiculous), i've decided to leave leave windows behind and make the best out of a linuxbased OS.

The problem is, i really really wish this issue would go away. I know i can simply disable desktop effects, but that doesn't mean that i have full videocad support, and the system will still lag when i need it the most. That's why i invested in a better laptop after all.

So what should i do? Is this problem persistent throughout other linux distros? Is Debian or Fedora or another one free of this bug? Or can i successfully go back prior to Jaunty, to an older version, and not have problems with all the new apps? (i'm scared by the thought of constantly having dozens of New Updates that i'm not allowed to touch)

I need alternatives, and i apologise if it's off topic, but i really did not find what i was looking for anywhere else.

I found 8.10 to have a stable ati enviroment. Been a slippery downhill slope
from their for ati users

=============
Sent from my mobile, so apologies if it seems short and to the point.

On Oct 25, 2009 12:40 AM, "Zega" <email address hidden> wrote:

Hey guys. I'm going to be just a little bit off topic, but it seems that
this is the only place where this critical issue is being debated. I'm
disappointed not to find any reviews (along with suggestions) of this
issue on any tech site.

I've discovered Ubuntu right when Jaunty came out, and to my (un)luck, i
have a Toshiba laptop with an ATI Mobility Radeon 2600 HD. So i have the
same problems as you guys. I applied the backfill patch, but soon got
fed up with the still-sluggish environment, and the difficulty in doing
routine tasks that require more than just a bit of video power (tabs,
IDEs, videos etc) , that on Windows were not a problem.

So i decided to put Ubuntu for a nap until it was properly fixed. I had
it as a second booter, but mainly used Windows and reguraly checked for
updates on this issue..

Now, after a very nightmareish night of trying to install Visual Studio,
that ended up tearing down the whole syhen stem (i'm not a beginner but
this is ridiculous), i've decided to leave leave windows behind and make
the best out of a linuxbased OS.

The problem is, i really really wish this issue would go away. I know i
can simply disable desktop effects, but that doesn't mean that i have
full videocad support, and the system will still lag when i need it the
most. That's why i invested in a better laptop after all.

So what should i do? Is this problem persistent throughout other linux
distros? Is Debian or Fedora or another one free of this bug? Or can i
successfully go back prior to Jaunty, to an older version, and not have
problems with all the new apps? (i'm scared by the thought of constantly
having dozens of New Updates that i'm not allowed to touch)

I need alternatives, and i apologise if it's off topic, but i really did
not find what i was looking for anywhere else.

-- [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
enabled https://bugs.la...

I have uploaded a version of xserver-xorg patched with the xserver-xorg-backclear.patch by Felix Kuehling into my PPA.

https://launchpad.net/~k0ekk0ek/+archive/ppa

Which one is the better patch ?

However, it would be great if those ppa can be maintain up to date (sync
with the legacy xorg package).

in my experience, Felxi Kuehling's patch has performed better on this
machine. It looks prettier too :)

On Mon, Oct 26, 2009 at 2:18 PM, Malaria <email address hidden> wrote:
> Which one is the better patch ?
>
> However, it would be great if those ppa can be maintain up to date (sync
> with the legacy xorg package).
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

On my machine, the better patch definitely is the one by Felix Kuehlig. Works like a charm.

On my dell studio xps 1640 with ati radeon 3670HD, the best patch is the
feilx kueling 's one !! ;-)
(thanks so much félix :) )

On Mon, Oct 26, 2009 at 11:08 PM, AlexE <email address hidden> wrote:

> On my machine, the better patch definitely is the one by Felix Kuehlig.
> Works like a charm.
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

José Tomás Atria (jtatria) wrote :

I agree that felix's patch is superior (apparently the empty buffer's
load faster than the ones containing random memory contents, besides
the already discussed security and aestethics aspects), but at least
for me, i'm experiencing memory leaks with both alternatives.

Incidentally, i seem to observe a higher memory leaking with newer X
versions as karmic release approaches than in jaunty or firts karmic
betas...

do you think that a memory usage test in a virual machine will do any
good? i can set up a couple of vms and leave them running to see
memory usage patterns...

On Tue, Oct 27, 2009 at 3:19 PM, Daëavelwyn <email address hidden> wrote:
> On my dell studio xps 1640 with ati radeon 3670HD, the best patch is the
> feilx kueling 's one !! ;-)
> (thanks so much félix :) )
>
> On Mon, Oct 26, 2009 at 11:08 PM, AlexE <email address hidden> wrote:
>
>> On my machine, the better patch definitely is the one by Felix Kuehlig.
>> Works like a charm.
>>
>> --
>> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
>> enabled
>> https://bugs.launchpad.net/bugs/351186
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

thanks a lot, Felix Kuehling's patch worked for me too (karmic, fglrx, ATI HD4850)
Restoring minimized windows is now as fast as i expect it to be.

ToKico (tokico-pt) wrote :

Thanks Felix, your patch solved (in my case) the problem.

Thanks.

baeza (baeza) wrote :

ATI Mobility Radeon HD4330 and Karmic final. Felix patch solved speed issue when resizing windows, but using emerald window decorator, produces flickering when horizontal resizing. GTK works perfect.

ybdjkfd (ybdjkfd) wrote :

Radeon Mobility HD 3670. Felix, you did a great job. KDE, Ubuntu 9.10.

mk (gmkkid) wrote :

Hi everybody,
I have a Toshiba Satellite A200 laptop with ATI HD2600.
Same problems as for everyone else.
Kubuntu 9.10 final and official ATI 9.10 driver.
I tried to install the Felix patch (by miself and with ppa provided by k0ekk0ek #291) and did NOT worked for me: kubuntu totally freezed on reboot with blank screen, ctrl+alt+f1 not working either.
Tried to reboot on recovery mode and pc freezes after startx command.

Nico Isenbeck (nico-isenbeck) wrote :

The backclear patch works for me too.
Radeon HD4550, Ubuntu 9.10, fglrx

Thanks Felix!

Nicolas Delvaux (malizor) wrote :

Both patch work for me. I don't see any difference between them in fact.

Hi,

I am not able to get key for felix's patch. Can someone help me in getting that?

Hi,

Watch this comment, I hope it will help you :

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/comments/256

On Fri, Nov 6, 2009 at 1:04 PM, Prabhakar Nagral <email address hidden>wrote:

> Hi,
>
> I am not able to get key for felix's patch. Can someone help me in
> getting that?
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

It is a shame that this bug still persists in Karmic. Both on Canonical's and on ATI's side.

Churchy (churchy) wrote :

Should add a big thank you to Felix Kuehling for his backclear patch, works like a charm also for xorg_server 1.6.4 on Karmic, Catalyst 9.10 that came with it, ATI Mobility Radeon HD 3400.

mk (gmkkid) wrote :

Now Felix patch works for me too.
Updated X.Org some days ago with automatic updates.
Then applied the patch and everything is working fine.

I tried patching that, but I get below error and am not able to patch

pnagral@pnagral-ubuntu:~$ patch -p1 < /home/pnagral/xserver-xorg-backclear.patch
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- xorg-server-1.6.3/composite/compalloc.c 2009-07-07 13:48:57.000000000 -0400
|+++ xorg-server-1.6.3-backclear/composite/compalloc.c 2009-09-09 11:55:03.000000000 -0400
--------------------------

Also, will this patch resolve memory leak issue as well?

Regards,
-P

I installed Felix Kuehling patch, via https://launchpad.net/~k0ekk0ek/+archive/ppa (#291) and it seems to remove my problem with slow resize of windows with ATI Proprietary FGLRX driver.

I'm on a DELL Stiduo XPS 16, ATI Radeon HD 3670. Thanks goes to Felix Kuehling and k0ekk0ek! :-)

Brendan_P (brendan-p) wrote :

Can confirm the above on same hardware, Felix patch from PPA works like a charm.

Currently monitoring xorg "memory issue" to see if this is still a problem, looks fine so far but only 7 hrs uptime

Mephisto (mefaustopheles) wrote :

Thank you very much K0ekk0ek!

Download full text (5.1 KiB)

Hi,

Thanks for the help. I could install the fix. But, I face memory problem. Though I run very few applications, I see that almost all of my memory is eaten up. Pasted below output of 'top' sorted by memory. Is there a solution for this?

top - 23:26:20 up 2 days, 1:59, 4 users, load average: 0.05, 0.06, 0.02
Tasks: 197 total, 2 running, 195 sleeping, 0 stopped, 0 zombie
Cpu(s): 1.8%us, 1.8%sy, 0.0%ni, 96.4%id, 0.0%wa, 0.0%hi, 0.0%si, 0.0%st
Mem: 2039792k total, 1836668k used, 203124k free, 86244k buffers
Swap: 2867560k total, 119444k used, 2748116k free, 979172k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 1479 root 20 0 233m 127m 26m S 5 6.4 28:59.93 Xorg
 8388 pnagral 20 0 283m 110m 23m S 0 5.6 0:48.48 thunderbird-bin
19311 pnagral 20 0 233m 96m 70m S 0 4.8 0:15.95 soffice.bin
26340 pnagral 20 0 123m 69m 14m S 0 3.5 0:23.77 python
27259 pnagral 20 0 171m 57m 22m S 0 2.9 1:07.18 gnome-do
26024 pnagral 20 0 190m 47m 21m S 0 2.4 0:25.03 chromium-browse
26398 pnagral 20 0 109m 30m 19m S 0 1.5 0:05.12 pidgin
26056 pnagral 21 1 114m 28m 11m S 0 1.4 0:19.43 chromium-browse
 2942 pnagral 20 0 149m 27m 15m S 0 1.4 0:20.67 nautilus
 8243 pnagral 20 0 33900 25m 8244 S 0 1.3 0:19.87 compiz.real
 9958 pnagral 20 0 98.4m 22m 14m S 0 1.2 0:02.64 gedit
27916 pnagral 20 0 92600 22m 15m S 0 1.1 0:00.43 Giver
 2268 pnagral 20 0 78864 18m 9940 S 0 0.9 0:10.98 awn-applet
27928 pnagral 20 0 104m 17m 10m S 0 0.9 0:00.23 chromium-browse
 2882 pnagral 20 0 88200 17m 9780 S 0 0.9 0:17.00 gnome-panel
 5928 pnagral 20 0 34128 16m 9604 S 0 0.9 0:00.12 python
 3046 pnagral 20 0 174m 16m 13m S 0 0.8 0:18.53 nm-applet
 3022 pnagral 20 0 73044 15m ...

Read more...

Well, I'm using both beckclear patched and unpatched systems, and I'm afraid I have to admit that there might be memory leaks in the first one. However it is the one I use most and often for small amount of time, so I'm not that sure. In any case, sometimes I see 200-300M (RES), that it's not very bad, but not good either. I think we'd better investigate whether the problem lies in the patch or in xorg itself. I'll keep an eye on it.

Vancouverite (sethgilchrist) wrote :

Hi all,
I had this problem as well and applied the no-backfill patch from the Karmic ppa and it solved the delay problem. I started having the memory issues and thinking they were unrelated I participated in another bug <https://bugs.launchpad.net/ubuntu/+bug/432531> that should be marked as a duplicate of this one. I was running 64 bit at the time, but I get the same problems even after switching to 32 bit.

It discovered something that might help to track down the memory leak. I have ParaView compiled from source on my system (www.paraview.org, I compiled with MPI, Python scripting and the -j 2 option (http://paraview.org/Wiki/ParaView:Build_And_Install#Build_ParaView)) and if I start it and then quit it, even if I don't do anything at all in the program it clears a large portion of the leaked memory. It doesn't seem to clear all of it, but for sure about 800 MB can be reclaimed.

I don't really know anything about video drivers and memory leaks, but hopefully this can help.

Van

Lenovo T400
Ubuntu karmic 32 bit

Nico Isenbeck (nico-isenbeck) wrote :

With the backclear patch I have no memory leaks at all!
If you are using the no-backfill patch, try the backclear patch by Felix Kuehling .

backclear-patch: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/comments/228
ppa: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/comments/291

Vancouverite (sethgilchrist) wrote :

Hi all,
I took Nico's advice and switched to the backclear ppa provided by k0ekk0ek (thanks, and thanks Felix) and found that I still had the memory leak. So thinking that maybe it shouldn't be blamed on the no-backfill (thanks Bryce) or backclear patches I reverted to the default x-server-core that is currently shipping with Karmic. Poor performance and I *still* had a memory leak. So to reiterate: I have memory leaks with fglrx paired with any version of x-server currently out there (default, backclear and no-backfill).

I have now reverted to radeon and the current x-server-core that ships with Karmic (2:1.6.4-2ubuntu4) and have had no increase in memory even though I have been doing things that typically would have sent it rocketing (flash movies, heavy browsing). My mem is still sitting comfortably at 11%, normally it would be upwards of 30% at this point.

I am using Karmic 32 bit fresh install as of last night, ATI Mobility Radeon HD 3400 Series in a Lenovo T400.

Van

@Vancouverite

Just to clarify what you mean;

First you say you had memory leaks with no-back-fill.
then switched to backclear, and still had memory leaks.
Then switched to the default that ships with Karmic koala -> still memory
leaks

So what did you do differently to now have no memory leak? You are still
using the default x-server-core .... (which you said still gave you memory
leaks "I reverted to the default x-server-core that is currently shipping
with Karmic. Poor performance and I *still* had a memory leak")
I take it you would now (again) experience the "slow unminimizing" bug at
the moment?

sean

On Wed, Nov 11, 2009 at 5:22 AM, Vancouverite <email address hidden>wrote:

> Hi all,
> I took Nico's advice and switched to the backclear ppa provided by k0ekk0ek
> (thanks, and thanks Felix) and found that I still had the memory leak. So
> thinking that maybe it shouldn't be blamed on the no-backfill (thanks Bryce)
> or backclear patches I reverted to the default x-server-core that is
> currently shipping with Karmic. Poor performance and I *still* had a memory
> leak. So to reiterate: I have memory leaks with fglrx paired with any
> version of x-server currently out there (default, backclear and
> no-backfill).
>
> I have now reverted to radeon and the current x-server-core that ships
> with Karmic (2:1.6.4-2ubuntu4) and have had no increase in memory even
> though I have been doing things that typically would have sent it
> rocketing (flash movies, heavy browsing). My mem is still sitting
> comfortably at 11%, normally it would be upwards of 30% at this point.
>
> I am using Karmic 32 bit fresh install as of last night, ATI Mobility
> Radeon HD 3400 Series in a Lenovo T400.
>
> Van
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

José Tomás Atria (jtatria) wrote :

On Tue, Nov 10, 2009 at 2:44 PM, svaens <email address hidden> wrote:
> So what did you do differently to now have no memory leak?
>
> On Wed, Nov 11, 2009 at 5:22 AM, Vancouverite <email address hidden>wrote:
>>
>> I have now reverted to radeon and the current x-server-core that ships
>> with Karmic (2:1.6.4-2ubuntu4) and have had no increase in memory even

--
entia non sunt multiplicanda praeter necessitatem

@ svaens
Sorry if I wasn't clear. Using fglrx, regardless of the x-server package, lead to a memory leak. The only configuration without a memory leak was disabling the proprietary drivers and using the open source radeon driver (https://help.ubuntu.com/community/RadeonDriver) with 2D graphics only.

Also, the poor performance I mentioned was slow opening windows. Not just unminimizing, but also initial loading.

Just for interests sake, I downloaded the latest driver from the ATI site and installed it and have all the same issues with the memory leak and slow window opening. I am now using it with the backclear patch and after 40 min up-time my memory is at 27%, where normal is 16% with firefox open.

I just started and exited Paraview and my memory dropped to the appropriate 16%...

Van.

Sorry to ask again. And I do so realising that probably, I need to ask
because of my own ignorance.

Is it that;

fglrx paired with any version of x-server = memory leak
radeon driver? paired with any version of x-server = no memory leak

meaning, the difference is not the x-server, but the graphics driver ?

So, it should be possible to achieve fast (normal) unminimizing AND no
memory leak. And that is what vancouverite has achieved?

2009/11/11 José Tomás Atria <email address hidden>

> On Tue, Nov 10, 2009 at 2:44 PM, svaens <email address hidden> wrote:
> > So what did you do differently to now have no memory leak?
> >
> > On Wed, Nov 11, 2009 at 5:22 AM, Vancouverite <<email address hidden>
> >wrote:
> >>
> >> I have now reverted to radeon and the current x-server-core that ships
> >> with Karmic (2:1.6.4-2ubuntu4) and have had no increase in memory even
>
>
> --
> entia non sunt multiplicanda praeter necessitatem
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

In equation form:

fglrx + [karmic current x-server (2:1.6.4-2ubuntu4)] = [memory leak] + [bad window opening]

fglrx + [either modified x-server] = [memory leak] + [good window opening]

radeon + [karmic current x-server (2:1.6.4-2ubuntu4)] = [no memory leak] + [good 2D effects]

I have not tested radeon + [modified x-server].

The driver is leaking memory, and in my case it's leaking it quite badly.

Van

On Tue, Nov 10, 2009 at 3:31 PM, svaens <email address hidden> wrote:
> So, it should be possible to achieve fast (normal) unminimizing AND no
> memory leak. And that is what vancouverite has achieved?

As long as you don't use fglrx and stick to 2d acceleration only, it
appears so, yes.

But then again, the origin of this bug is poor performance with fglrx...

--
entia non sunt multiplicanda praeter necessitatem

svaens (svaens) wrote :

Thank you van,

I use currently the open source radeon driver 2D (on my HD 3470 mobility) to
escape the unminimize problem. It would be a shame for me to install the
backclear patch and still be stuck using the 2D version because of a memory
leak.

That paraview affects the memory leak like that is surely a huge clue for
finding and fixing the problem! As seems the memory leak only occurs when
using the fglrx driver, that should be what needs now fixing.

However, I read that the fglrx driver contains both open source and
proprietary code. Does that mean that, while it could be out of the open
source community's hands (something for ATI to fix), if the bug originates
from that 'open source part' of the driver, it could be fixable by Ubuntu
developers (or indeed, anyone else) ?

sean

> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I recently turned off powerplay (the power save options for ATI cards) in Catalyst and my memory leak disappeared!

Van

Hi,

Where is this disable option?

Regards,
-P

--- On Fri, 13/11/09, Vancouverite <email address hidden> wrote:

From: Vancouverite <email address hidden>
Subject: [Bug 351186] Re: [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
To: <email address hidden>
Date: Friday, 13 November, 2009, 1:56 AM

I recently turned off powerplay (the power save options for ATI cards)
in Catalyst and my memory leak disappeared!

Van

--
[M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
https://bugs.launchpad.net/bugs/351186
You received this bug notification because you are a direct subscriber
of the bug.

Status in “fglrx-installer” package in Ubuntu: Incomplete

Bug description:
[updated]
Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
The opening of a window present the same bug, freezing the system for 1sec.
This bug is under both gnome and kde (4.2.1)

(I have an ATI HD2600 Mobility Pro )

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
        Subsystem: Acer Incorporated [ALI] Device [1025:011e]

      The INTERNET now has a personality. YOURS! See your Yahoo! Homepage. http://in.yahoo.com/

@ Prabhakar Nagral

It's in the Catalyst control center, second to last in the list on the left.

Applications -> Other -> Catalyst Control Center (Administrative).

or

gksudo amdcccle

Van

thanks much..found it!

Regards,
-P

--- On Fri, 13/11/09, Vancouverite <email address hidden> wrote:

From: Vancouverite <email address hidden>
Subject: [Bug 351186] Re: [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
To: <email address hidden>
Date: Friday, 13 November, 2009, 12:30 PM

@ Prabhakar Nagral

It's in the Catalyst control center, second to last in the list on the
left.

Applications -> Other -> Catalyst Control Center (Administrative).

or

gksudo amdcccle

Van

--
[M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
https://bugs.launchpad.net/bugs/351186
You received this bug notification because you are a direct subscriber
of the bug.

Status in “fglrx-installer” package in Ubuntu: Incomplete

Bug description:
[updated]
Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
The opening of a window present the same bug, freezing the system for 1sec.
This bug is under both gnome and kde (4.2.1)

(I have an ATI HD2600 Mobility Pro )

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
        Subsystem: Acer Incorporated [ALI] Device [1025:011e]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
        Subsystem: Acer Incorporated [ALI] Device [1025:011e]

      From cricket scores to your friends. Try the Yahoo! India Homepage! http://in.yahoo.com/trynew

do we have confirmation for this? ie, is the memory leak associated to
fglrx power saving?

On Fri, Nov 13, 2009 at 3:43 AM, Prabhakar Nagral <email address hidden> wrote:
> thanks much..found it!
>
> Regards,
> -P
>
> --- On Fri, 13/11/09, Vancouverite <email address hidden> wrote:
>
> From: Vancouverite <email address hidden>
> Subject: [Bug 351186] Re: [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> To: <email address hidden>
> Date: Friday, 13 November, 2009, 12:30 PM
>
> @ Prabhakar Nagral
>
> It's in the Catalyst control center, second to last in the list on the
> left.
>
> Applications -> Other -> Catalyst Control Center (Administrative).
>
> or
>
> gksudo amdcccle
>
> Van
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Incomplete
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
>         Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>         Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>
>
>      From cricket scores to your friends. Try the Yahoo! India Homepage! http://in.yahoo.com/trynew
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

@ Prabhakar Nagral, did this work for you?

@ José Tomás Atria

I can confirm that switching off fglrx power saving takes care of the problem for me. Further I have found that it only affects me if I boot with power saving enabled. If I boot with power saving off, then turn it on from Catalyst I don't have the leak.

If I neglect to switch it off before turning the computer off, then the next time I boot up the memory leak will be present. This can be alleviated at that time by turning power saving off.

One issue is that I now have:

[fglrx:fireglAsyncioIntEnableMsgHandler] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)

showing up in my syslog when I boot, and on moving the mouse after issuing the command "sleep 1 && xset dpms force off" via terminal.

Van

ok, maybe i am not understanding it allright, but it tried disabling
powerplay in amdcccle, and didn't see any change in memory use.

I was expecting to see a drop in memory use after disabling powerplay,
like the one observed when opening and closing paraview. maybe it
wasn't this you were refering to?

On Sat, Nov 14, 2009 at 10:39 AM, Vancouverite <email address hidden> wrote:
> @ Prabhakar Nagral, did this work for you?
>
> @ José Tomás Atria
>
> I can confirm that switching off fglrx power saving takes care of the
> problem for me.  Further I have found that it only affects me if I boot
> with power saving enabled.  If I boot with power saving off, then turn
> it on from Catalyst I don't have the leak.
>
> If I neglect to switch it off before turning the computer off, then the
> next time I boot up the memory leak will be present.  This can be
> alleviated at that time by turning power saving off.
>
> One issue is that I now have:
>
> [fglrx:fireglAsyncioIntEnableMsgHandler] *ERROR* interrupt source
> ff000066 is not supported on this hardware (return code = 1)
>
> showing up in my syslog when I boot, and on moving the mouse after
> issuing the command "sleep 1 && xset dpms force off"  via terminal.
>
> Van
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

i have also disabled powerplay and after a restart my memory is quite low ... 550MB after 1 day uptime.

viking-pl (viking-joomla) wrote :

still a problem in karmic 64

I can't beleive this was rejected for Karmic. If the driver is fglrx then do not do the other bug fix code that causes the performance problem! I installed the latest fglrx driver from ATI and applied the patch. PERFECT, all desktop effects worked perfectly and the speed was pretty good. But, of course there had to be a problem. I installed another package and I guess because the patch had an older xorg package version it decided to uninstall most xorg packages, so when I rebooted I had no X at all. Well I have X working again, with the ati driver, but I can no longer use fglrx driver as X fails to start.

just watch it get rejected for 10.4 too!

On Thu, Nov 19, 2009 at 12:05 AM, krona <email address hidden> wrote:

> I can't beleive this was rejected for Karmic. If the driver is fglrx
> then do not do the other bug fix code that causes the performance
> problem! I installed the latest fglrx driver from ATI and applied the
> patch. PERFECT, all desktop effects worked perfectly and the speed was
> pretty good. But, of course there had to be a problem. I installed
> another package and I guess because the patch had an older xorg package
> version it decided to uninstall most xorg packages, so when I rebooted I
> had no X at all. Well I have X working again, with the ati driver, but I
> can no longer use fglrx driver as X fails to start.
>
> --
> [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
> enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I hope it's not rejected. I understand the desire for the correct solution, and on the face of it you could argue that the fglrx driver should not have slow performance with the existing xorg code, however I think we should be pragmatic given the facts. Lots of people want to use the fglrx driver and want to use desktop effects. It's not nice to do driver specific hacks but looking at it another way it's a bit like having having to deal with different driver capabilities to provide useable results, something that's not unusual in the real world of software on any platform. I might be wrong but it doesn't seem that the conditional patch would have lots of negative effects on many other clients, I suppose with extensive testing the patch could show some other issues. I guess the days of manually patching your own Linux system are not over. I think I would have to get the latest source next time and apply the patch and make sure I don't make the same mistake with the package version!

aarons (aarons-ubuntu) wrote :

Do we even know that this bug is on ATI's radar? I mean I see no indication on the upstream bug report that it is being looked at http://ati.cchtml.com/show_bug.cgi?id=1546

The fact that ATI hasn't responded to the bug is the most frustrating part of all this. Either way though, I always end up regretting getting a laptop with ATI video. Next time I'm making sure it has an nvidia chip, since I've never had a problem with those linux drivers.

madmed (medbelh) wrote :

I don't know if it is the same problem but when activating the desktop effects, maximizing or opening new windows is very very slow except for VLC!! I have an ATI HD3430. Sorry for my English :p

madmed: Certainly sound like the same thing.

I think the solution in comment #167 is probably the easiest way to fix the problem though it's not the way I finally got it fixed.

Good luck with it!

summary: - [M76] [ubuntu 9.04] slow unminimizing with ati card and desktop effects
- enabled
+ [M76] [ubuntu 9.04] [ubuntu 9.10] slow unminimizing with ati card and
+ desktop effects enabled

Sorry I'm new here. Can you explain me what does it mean Status Incomplete? Does it mean it is not confirmed yet because I know a lot of people having this bug. how can I help to fix it, it is really annoying.

Experts,

I am stuck with a problem mentioned @ http://ubuntuforums.org/showthread.php?t=1331215

and I am not getting any response from the forum members. Sorry to post this here as this diverts the topic little, but I would appreciate a lot if someone looks into my thread above and help me out!

Thx

madmed (medbelh) wrote :

I don't know if it is already mentionned. The problem is not only related to compiz desktop effects it occurs also when enabling composite manager in metacity (via gconf-editor). it's really annoying since awn requires compositing :-(

Thiago (cangussu) wrote :

I upgraded from Jaunty to Karmic (on my T400), bug still present, like you already know. Installed xorg with backclear patch from ppa (#291) and everything seems to work again (after installing fglrx again from ATI binary).

On a side note, I have OpenSuse 11.2 on the same machine, and it has the same problem.

koshimazaki (kozza2) wrote :

I don't see many people commenting who use the open driver, and no Karmic users. I have an old Radeon 9600 Pro with the open driver. I've experienced the same behaviour described here: huge lag and high cpu usage by xorg during unminimising, maximising, unmaximising and generally resizing windows. Felix Kuehling's patch fixed these problems although I'm not sure if X+Compiz is working as smooth now as it did on Jaunty.
What I haven't yet found an explanation for is that these problems only appeared after moving to Karmic (fresh install) while the no-backfill patch is supposed to have already beed dropped in Jaunty.
Other than the speedup, I can see another effect of applying Felix Kuehling's patch: when unminimising Thunderbird window, the two panes showing folders and message list appear black for a short time showing their contents.
As for memory leaks I haven't yet tested long enough to tell.

koshimazaki (kozza2) wrote :

"the two panes showing folders and message list appear black for a short time showing their contents"

sorry, that was meant to read "appear black for a short time before showing their contents"

fllaim (alim-cpp) wrote :

I've found a fix.
The bug#381003 had solve the problem with installing a different xorg-xserver package from a ppa. I tried and worked FINE for me.

@flaim, thanks for the tip, but it seems that this is the same fix
we've been discussing for months in this bug, that has been now
supplemented with a more elegant version by felix kuelig, and that has
serious memory leak problems.

On Wed, Nov 25, 2009 at 7:57 AM, fllaim <email address hidden> wrote:
> I've found a fix.
> The bug#381003 had solve the problem with installing a different xorg-xserver package from a ppa. I tried and worked FINE for me.
>
> --
> [M76] [ubuntu 9.04] [ubuntu 9.10] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

The xserver-no-backfill ppa is now also available for Karmic. ( http://launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill )
Works with my Mobility Radeon 3650 HD pretty well. You may have to force version to get it working (Synaptic>Package>Force version on 'xserver-xorg-core')

Thank you Bryce!

madmed (medbelh) wrote :

tested the xserver-no-backfill thing and it works perfectly for me in karmic.
what are the problems I may have with this package? just to check if I have them.
Thank you Bryce.

Sergio (sergio-otero) wrote :

I've tried the instruction to apply the patch in 9.10 and it corrects the problems with unminimizing but i cannot still use it because without disabling compiz i cannot reproduce avi's.

When i open an avi with totem, it runs a little slow in a window, but when i try to put in full screen, it runs very slow (half frames are dropped).

When i open an avi with vlc, image is good, but the sound is pretty bad. If if try to go full screen, it gets worse.

All these problems dissapear disabling visual effects. I can even play 720p when visual effects are off !!!

Sergio (sergio-otero) wrote :

When i said i aplyed the patch, i was talking about http://launchpadlibrarian.net/32728179/xserver-xorg-backclear.patch
How can i remove this patch before i try http://launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill ?

Are they the same patch?
Does anyone have the same problems with compiz and totem/vlc?

Thanks

madmed (medbelh) wrote :

don't know if this is the same patch but you can install (force) the second one and it will overwrite the other.
Open CompizConfig settings manager then General->General options->General and uncheck "unredirect fullscreen windows" this can solve your problem (if it is not related to the patch).

Sergio (sergio-otero) wrote :

I've installed http://launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill and activated "unredirect fullscreen windows"

The results playing a divx in a window are the same. If the window is small, it works, but if it's larger it doesn't work well.

In fullscreen, because the option disabled compiz, it works well. But when i move the mouse (vlc) the movie dissapears 1 second to show the desktop (without icons) and then returns to the movie and in the bottom appears the controls to stop, play, etc. I think that when vlc draws these controls, i'm no longer in "fullscreen".

The only solution, to put Visual Effects to off. This should be the default option in a clean installation until the problems with ATI are not solved.

madmed (medbelh) wrote :

I said uncheck not activate. But maybe that's not the problem. I've been using the patch for a week and I don't have any problem.

Dan Quade (danquade) wrote :

Has anyone tested this with the latest Catalyst 9.11 ?
Does the problem still occur?

Vancouverite (sethgilchrist) wrote :

Hi unimatrix,
I have installed catalyst 9.11 and it works with the no-backfill xserver. I have not fully tested it with the normal xserver core even though I tried.

I installed the new Catalyst and afterwards thought I would try it with the ubuntu repos xserver. However, when I changed from the no-backfill to the normal version I could not even start X. I had to boot from a live disk and change my x-org.conf to use the radeon driver, change the xserver back to the no-backfill version.

I don't think that this means that they don't work together, just that you might want to install the repo xserver before installing 9.11 if you want to do a real test.

Sergio (sergio-otero) wrote :

I've tried Catalyst 9.11 with the same results (slow unminimizing and also slow vlc/totem playback).

The steps i've followed:

 * Force xserver-common, xserver-xorg-core and xserver-xorg-core-dbg version from the xserver-no-backfill to the original Ubuntu release
 * Uninstall ATI default propietary drivers from Administration -> Hardware Drivers
 * Reboot
 * I get a black screen with the mouse working but no logging screen. I can switch to the terminal (ctrl + alt + f2) and login but if i change back to xorg, the image gets corrupted and the system hangs
 * From the terminal, install Catalyst 9.11: sudo sh ati-driver-installer-9-11-x86.x86_64.run
 * Reboot
 * Do login, activate compiz and same results as before

madmed (medbelh) wrote :

Catalyst 9.12 will be released 16 december. I hope it will fix this bug.

Pedro Ribeiro (pmalvr) wrote :

@madmed

I really hope so. Because 359 comments about a bug known for a long time, begins to be a bit ridiculous.

The Fiddler (stapostol) wrote :

9.12 doesn't fix the bug for me here (Karmic amd64 with HD4850).

Alisson (alissonlca) wrote :

9.12 doesn't fix the bug for here as well (Karmic, Intel Centrino Duo with HD3400 mobile)

RodGer (rodger) wrote :

I have more serious problems with this driver. I doesn't let me boot Ubuntu 9.10 when enabled. I had to disable it using a live cd to boot. I found that there is an error message when you install the package named 'fglrx-kernel-source'
Here is the terminal output containing the error:

Selecting previously deselected package fglrx-kernel-source.
(Reading database ... 156346 files and directories currently installed.)
Unpacking fglrx-kernel-source (from .../fglrx-kernel-source_2%3a8.660-0ubuntu4_i386.deb) ...
Setting up fglrx-kernel-source (2:8.660-0ubuntu4) ...
Loading new fglrx-8.660 DKMS files...
Building initial module for 2.6.31-16-generic, architecture -a i686

Error! Your kernel source for kernel 2.6.31-16-generic cannot be found at
/lib/modules/2.6.31-16-generic/build or /lib/modules/2.6.31-16-generic/source.
Done.

Error! Could not locate fglrx.ko for module fglrx in the DKMS tree.
You must run a dkms build for kernel 2.6.31-16-generic (i686) first.
update-initramfs: deferring update (trigger activated)

Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.31-14-generic

------------------------------------------

Is there any work around so that I can enable desktop effects. It's a friends laptop. I love Ubuntu but maybe he will be a little disappointed...

7oby (tobias-hain) wrote :

One of the recent Karmic 9.10 xorg security patches have overridden:
http://launchpad.net/~ubuntu-x-swat/+archive/xserver-no-backfill

Don't know which one though and don't know how to force reverting and modifying /etc/apt/apt.conf to stick with nobackfill version.

John Stouffer (john-stouffer) wrote :

I can confirm that unminimize etc. is slow again using compiz...

John Hurst (john-b-hurst) wrote :

I also noticed this morning that my unminimize etc was back to slow again. I guess because of the mentioned security patches. ARGH! <sigh/>.

ThinkPad T500 ATI, Radeon HD 3650.

Hope this gets a patch update *soon*, and I hope Lynx fares better with ATI cards.

JH

Vancouverite (sethgilchrist) wrote :

Hi guys,
What version of Catalyst are you using? I am currently running 9.11, have the X-org core from Ubuntu x-swat (that's the no back fill one) installed, I'm up to date and have no problems. Catalyst is now at 9.12 (I'm not upgrading as everything is working for me now) and it might be worth installing. They have made it very easy.

http://support.amd.com/us/gpudownload/Pages/index.aspx

Cheers,
Van

I have a very stupid question.
I can't figure out how I know which version of Catalyst I have
running. I can't find where it tells me a version such as 9.11 or
whatever...

@7oby
You can use Synaptic to Force Version and Lock Version when select a pacakge and click on the Package tab on the menu bar.

@svaens
$ fglrxinfo #then check the openGL version string.
$ dmesg | grep '\[fglrx\] module'
[ 15.250843] [fglrx] module loaded - fglrx 8.66.10 [Sep 3 2009] with 1 minors
Since AMD release monthly driver, Sep 3 2009 driver is 9.10. Then October is 9.11, November is 9.12. December is Christmas, January driver hasn't out yet and it will be 10.1 cos it is a new year.

Anyway, I have compile a deb with backclear patch by Felix, not the no-backfill patch though. You can grab it here http://www.mediafire.com/?hmyrk0yqqz4 , Sorry, I don't have a PPA yet.

Memory leak are present on all patches and non-patched version, workaround by @Vancouverite is off PowerPlay before shutdown and on PowerPlay after login. Or disable Powerplay all together, but the card will get very hot though.

Cheers all.

John Hurst (john-b-hurst) wrote :

@idyllic: Thanks for your information!

With this tip and a bit of perseverance (through some unstartable boots!) I was able to get my system working well again.

It seems like these were the crucial steps for me:

1. Uninstall ATI driver.
2. Revert xorg-server package to xserver-no-backfill, using Synaptic Force Version like you suggested.
3. Reinstall ATI driver (I installed the one downloaded from ATI manually).
4. Restart.
5. Re-enable desktop effects.

System now appears to be running well.

JH

I had this worked out with https://launchpad.net/~k0ekk0ek/+archive/ppa, but after Ubuntu updated it's packages I got the slowness again :-| Thankfully, it seems like k0ekk0ek have updated the ppa and today I got some new packages from there which made everything fast again. Just wanted to thank k0ekk0ek again, and tell everyone about this solution which worked (once again) for me.

Agosh (egostino) wrote :

Thanks Thorbjørn Hermansen!

Elwoodchicago (elwoodchicago) wrote :

same for me, I simply use k0ekk0ek's PPA and it worked/works. So, many thanks to you k0ekk0ek ... that helps pretty much with this annoying bug.

elwood

madmed (medbelh) wrote :

someone tested the new fglrx driver 10.1?

fusebox (dnvikram) wrote :

Same issue with 9.04 on my Gateway NVU53 (ATI HD 4200)..The maximizing and minimizing results in choppy screen and ends up freezing the whole system.I have no other choice but,switch to a terminal console and then do a reboot.I really dont want to disable the desktop effects.I really love them and by disabling them I see another issue,minimizing and maximizing,shows the border frame of the window and which is really irritating.

7oby (tobias-hain) wrote :

bug ix NOT fixed in Catalyst fglrx 10.1. (and also not in 9.12).

Catalyst 10.1 installation will fail on x86_64 in first place:
http://www.phoronix.com/forums/showthread.php?p=109862#post109862

But a walkaround for broken library references is known:
http://www.phoronix.com/forums/showthread.php?p=110091#post110091

ybdjkfd (ybdjkfd) wrote :

I was noticing that whenever I launched certain composite-extension binaries it would default to software only rendering. I confirmed that my xorg.conf has the following:

Section "DRI"
        Group "video"
        Mode 0666
EndSection

, but it did not help. I checked to fix the permissions of "/dev/dri/card0", but that did not exist per some other recommendations. I then did a search for "card0" and saw that it existed in "/dev/ati/card0". I changed permissions there (g+rw) and confirmed my membership in the video group. I found that it fixed the software only rendering issue for Compiz. Alongside the no-backfill patches, this helped my machine in many ways like video flickering and speed.

Umanzor (cumanzor) wrote :

Hi guys,

I'm running on a HD4200 IGP. I don't have the slow minimize/maximize issue, but the memory leaks while scrolling any kind of text document (gedit, terminal, even pdf files) makes my computer completely unusable.

Already tried both patches, no luck. Updated to the latest 10.1 ATI drivers, no luck either. The only thing left to do is to disable PowerPlay, but I have no idea how. There are no options in the Catalyst Control Center and no idea how to do it using aticonfig.

My system is unusable after less than an hour of using it. Any ideas what we could try next?

Dan Quade (danquade) wrote :

New version of Catalyst [10.2]: Cannot test, because Compiz no longer works without the no backfill patch.

deadBee (ynmehel) wrote :

I was having the same problem on Dell studio 1535
Thanks to felix and k0ekk0ek, my desktop works flawless now.
I am using my laptop for about 1 week, no other problems so far.

Morten Frisch (fmfrisch) wrote :

Solved my problems (slow maximizing, minimizing resizing) by getting the newest kernel 2.6.32. Which has 3D support for ATI Radeon HD3xxx and HD4xxx. Either upgrade your kernel or upgrade Ubuntu to Lucid and ditch the fglrx driver.

svaens (svaens) wrote :

@Morten Frisch

Can it be true! A real fix in time for lucid! That will make me very happy. I am sorry that I am not in a position to have been in a position to help on this issue, but will be very glad when I see it fixed.

However, can you confirm what you mean?

"ditch the fglrx driver" - Are you saying that the newest version of the free ATI driver both;

1. has 3D support (which would be new??), and
2. doesn't have the leak or slow maximize/minimize/resize problem

and that the proprietary driver (fglrx) still has a problem (or I guess it is not yet available for the latest kernel).

Thanks for your hopeful report!

Please someone confirm Morten's info. 3d Support for ++hd3xxx in the
kernel? no fglrx?

that's too good to be true. and too big to be unnoticed until now?

On Thu, Feb 25, 2010 at 2:54 PM, svaens <email address hidden> wrote:
> @Morten Frisch
>
> Can it be true! A real fix in time for lucid! That will make me very
> happy. I am sorry that I am not in a position to have been in a position
> to help on this issue, but will be very glad when I see it fixed.
>
> However, can you confirm what you mean?
>
> "ditch the fglrx driver" - Are you saying that the newest version of the
> free ATI driver both;
>
> 1. has 3D support (which would be new??), and
> 2. doesn't have the leak or slow maximize/minimize/resize problem
>
> and that the proprietary driver (fglrx) still has a problem (or I guess
> it is not yet available for the latest kernel).
>
> Thanks for your hopeful report!
>
> --
> [M76] [ubuntu 9.04] [ubuntu 9.10] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
entia non sunt multiplicanda praeter necessitatem

Aisthesis (aisthesis) wrote :

IT WORKS!!!!!!!!!!!!! and so far seems way "snappier" than the fglrx driver.

Just want to say, I feel ridiculously overwhelmed with emotion right now, LOL. Thank you everyone in the linux community. Especially the xorg edgers!

I'll post my kernel, xorg.conf, etc here in a min.

Aisthesis (aisthesis) wrote :

I wish my gf wasn't at work because I need someone to slap me hard to wake up from shock.

Using this kernel
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33/
~ # uname -a
Linux aisthesis 2.6.32-020632-generic #020632 SMP Thu Dec 3 10:58:45 UTC 2009 i686 GNU/Linux

Xorg ppa
https://edge.launchpad.net/~xorg-edgers/+archive/ppa/

~ # lspci | grep -i vga
01:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3400 Series

~ # glxinfo | grep direct
direct rendering: Yes

xorg.conf attached

Nicolas Delvaux (malizor) wrote :

Don't forget that fglrx is still necessary for newer ATI card and that the free "radeon" driver currently lack of power management (on my laptop, around 1 hour lifespan with "radeon" and more than 3 hours with fglrx).

So this issue needs to be fixed.

Is there any hope for Lucid?

Hi everybody,

what would also be interesting to check is, whether the new "Direct2d"
[1] option of the current fglrx driver (i.e. 10.2) resolves the delay
problem. The forum at phoronix indicates that this might be the case
though this experimental option seems to be quite unstable for many
cards (especially in conjunction with compiz), so it may be better to
wait for 10.3.

Unfortunately i'm heavily busy with my thesis so can't mess with my
system at the moment but maybe someone else wants to give it a shot.

Regards,
Stephan

[1] http://www.phoronix.com/vr.php?view=Nzk5MQ

Hey Ubuntu Guys, I've found a merely perfect solution,
sudo amdcccle
Just turn of the PowerPlay option, and now my HD3650 really runs!

apetrelli (antonio-petrelli) wrote :

I followed the suggestion of tx at comment #389 and it worked.
I have an ATI HD2600.

I haven't followed the comment at #389, however, I tried the patch at #371, and that worked 100% on Karmic. I have an ATI Radeon HD 260 Pro.

norms (djtiesto2k) wrote :

I have a Dell Studio 1737 laptop with an ATI 3650. I have ubuntu 9.10 installed and am using the ati propriety driver with the same problems as described here.

Firstly I have tried updating to the latest ATi driver (10.2) and the problem is still there. I then tried tx's solution (post #389) and it also did not fix the issue, baring in mind I am now using 10.2. Lastly I tried k0ekk0ek's solution and it worked flawlessly, thanks so much! :D

I'm relatively new to Linux and I have no idea if upgrading to catalyst 10.2 is a good idea, but so far so good with k0ekk0ek's solution :)

Jim Lewellyn (styyle14) wrote :

After adding k0ekk0ek's ppa and updating, the problem is resolved and the window management is all around snappier
Thanks Felix Kuehling and k0ekk0ek for putting his work into an easily accessible ppa!!

Morten Frisch (fmfrisch) wrote :

This is what I did. From 9.10 I disabled all desktop effects and purged my fglrx driver. Reebooted and got the message about disabled properetary drivers. Then I ran update-manager -d to update to Ubuntu Lucid alpha 2 containing the new kernel 2.6.32. When done the update-manager rebooted and I was booted into the new Lucid. From here I enabled desktop effects and without any of the bugs (slow minimizing, maximizing resiezing etc) I had before. Ta-da! Here is the official RadeonHD from ubuntu community documentation: https://help.ubuntu.com/community/RadeonHD Make sure to read what groups have 3D support in Lucid..

Morten Frisch (fmfrisch) wrote :

my lspci -vvnn output:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3600 Series [1002:9598]
 Subsystem: ASUSTeK Computer Inc. Device [1043:01e4]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at b0000000 (64-bit, prefetchable) [size=256M]
 Region 2: Memory at cf9e0000 (64-bit, non-prefetchable) [size=64K]
 Region 4: I/O ports at ac00 [size=256]
 [virtual] Expansion ROM at cf900000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: radeon
 Kernel modules: radeon

svaens (svaens) wrote :

My report, having tested the lucid alpha 3 liveCD

Reports are good!

I am running a sony vaio, with ATI Radeon Mobility HD3470 graphics.

I have also suffered with the minimize/maximize problem with lucid and karmic.

With Lucid alpha 3, LiveCD, I boot up (I have not installed it) from CD, and there it is;

The cleanest fonts I have ever seen, with full 3D support.

Good Things I noticed:
1. My gmail on firefox looked amazing, meaning that the fonts were clean, crisp and thin.. just beautiful. Nicer at least that how it looks now...... and until now, i'd thought it looks quite good on Karmic!
2. Snappier feel
3. My external LCD (samsung, syncMaster 2494hs) optimal resolution was finally available, so my external screen was working and looking crisp (unlike with Karmic, with fglrx driver, where it is stretched and fuzzy)
4. 3D support out of the box, compiz enabled out of the box, NO DELAY for minimize or maximize or anything.

Bad things I noticed:
1. My external LCD, while looking like it is working of optimal resolution (nice and crisp and full screened), seemed to fill slightly more than the physical screen; meaning that when I maximized a window, the title bar is just out of the top of the screen. Strange.
2. as I was about to report (while actually using lucid) I moved to click the new yahoo quick search away (change it from yahoo to wiki) while loading the launchpad site to make this report, and suddenly the CD starts working again, the screen flickers, goes all multi-coloured and distorted, and the whole thing freezes. No escape using ctrl-alt-f1, or right_alt-sys_rq-k ... or any key combination I could think of. And I guess this is too difficult to troubleshoot on a live CD, as I can't get to the logs after it has happened.

All in all, looking very promising for us ATI users. I wonder now how the latest fglrx driver will work, once it is updated and available for the latest kernel.

svaens (svaens) wrote :

ammendment for my above comment: sorry, I meant I'd had problems with jaunty and karmic (not lucid and karmic).

I can confirm Ubuntu 10.04 fixes the problem in so far as fgrlx isn't needed anymore. The free drivers provide desktop effects.

Tested with Ubuntu 10.04 Alpha 3 Live CD, Dell Studio XPS 16 with Radeon HD3670.

Nicolas Delvaux (malizor) wrote :

As I said, this is NOT fixed.

The use of fglrx is still necessary for R800+ ATI card and for nearly all laptops powered by ATI because of no power management with the free driver.

This bug was filed against fglrx-installer so, please, stop saying that this is fixed.

For those who know some ATI guys, are they going to work on this issue?
This bug is nearly 1 year old so I'm confident that the answer is "no".

As this is an important desktop usability issue, is there a possibility to include a xserver from one of the 2 ppa in, at least, the universe repository? Just name it xserver-fglrx-fix and add it as a dependence to the fglrx-installer.

It seems a good solution to me because here we do not patch the default xserver (the one that is shipped by default) so no need to worry about regressions for other users, only fglrx users will install it.

Those packages had enough testing and both seem to be equivalent.
For the memory lick, I never noticed it (using k0ekk0ek's ppa for more than 6 months) so this is a "small" lick that may not be noticed by most of users I think. And I'm sure that the benefit of a fluid user experience is worth the trouble.

@Nicolas Delvau

No, Not fixed yet. However, does the fact that the free driver works
in Lucid provide hope that the fglrx driver (the next version
available for lucid) will also be improved ?

To be honest, with people passing patches to the x-server around, it
doesn't give me confidence that it is 100% clear where the problem
exists. In the graphics driver, or in the x-server ? Or both ?
Or can someone enlighten me?

Did the free driver provided with Karmic provide good fast 3D without
problems (except for the missing power management) ?
If not, then already I would assume there is hope to think there might
have been a general fix, since it works perfectly with lucid?

Like all of us ATI users without development know-how (in terms of
low-level drivers and the x-server), all I can do is wait in hope. And
thank those involved for their hard work. It is already amazing what
they have done.

> However, does the fact that the free driver works
> in Lucid provide hope that the fglrx driver (the next version
> available for lucid) will also be improved ?

No, these drivers are independent.

> To be honest, with people passing patches to the x-server around, it
> doesn't give me confidence that it is 100% clear where the problem
> exists. In the graphics driver, or in the x-server ? Or both ?
> Or can someone enlighten me?

I though someone already asked fglrx dev (can't find it anymore, too
much comments here) and they answered that this is a xserver bug. But
this bug only happen with fglrx so perhaps they just do not want to deal
with it.

> Did the free driver provided with Karmic provide good fast 3D without
> problems (except for the missing power management) ?

For older cards, yes (since Intrepid on my old laptop). But ATI dropped
fglrx support for most of these anyway so no choice here.

> If not, then already I would assume there is hope to think there might
> have been a general fix, since it works perfectly with lucid?

Backporting the Lucid free radeon driver necessitate backporting an important part of the kernel and so on. This will definitely not happen (too much work and against Ubuntu policy)

I'm not saying the bug can be closed, but i can confirm that many users won't need fgrlx in Ubuntu 9.10.

I've also tried the the beta3 in a live cd and it works perfectly: no slow unminimizing, no slow video playback in a window or fullscreen, all compiz effects work smooth, etc.

Yes, but I think I agree with Nicolas in saying that would shouldn't
lessen the status of this bug, since many people can't live with the
free driver due to power management concerns.
A Bug is a bug, and as bugs go, this is still a whopper,
until it is fixed.
Lets hope soon.

As of todays updates (march 18th - kernel and xorg at least I think) k0ekk0ek's ppa solution does not work for me anymore. Anyone having similar experiences?

Same here. The delay's are back....

On Thu, 2010-03-18 at 12:05 +0100, Abekonge wrote:

> As of todays updates (march 18th - kernel and xorg at least I think)
> k0ekk0ek's ppa solution does not work for me anymore. Anyone having
> similar experiences?
>
> --
> [M76] [ubuntu 9.04] [ubuntu 9.10] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Incomplete
>
> Bug description:
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/+subscribe

MeasureWorks | Katernstraat 10d | 1321 NE Almere
T: +31 36 546 5881 | F: +31 36546 5882 | M: +316 50 20 80 06
E: <email address hidden> | W: www.measureworks.nl

PGP-keyid: 17A4BABA

It is because you updated the xserver-xorg package.

Anyway, if you guys can trust me enough, I have built the lastest xserver package with backclear patch. Having a rather busy workload from college, so I don't bother about creating a ppa and stuff. I built for local system use so it is repo friendly. Meaning if k0ekk0ek updated his repo, his package will override mine.
xserver-common_1.6.4-2ubuntu4.2local1_all.deb and xserver-xorg-core_1.6.4-2ubuntu4.2local1_i386.deb

http://www.mediafire.com/?mo5i0zw0ynt
http://www.mediafire.com/?ozmtjmgdqdd

Cheers,

Abekonge (davidbirk) wrote :

I was full of trust - and it worked like a charm!

Thanks a bunch idyllic! Seriously, this community rocks - its only been two hours since I posted my troubles!

Hi,

Otherwise, the solution describe here :
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/comments/256

works fine for me ;) You just need to replace 1.6.3 version by 1.6.4 :)

Daeavelwyn.

On Thu, Mar 18, 2010 at 2:15 PM, Abekonge <email address hidden> wrote:

> I was full of trust - and it worked like a charm!
>
> Thanks a bunch idyllic! Seriously, this community rocks - its only been
> two hours since I posted my troubles!
>
> --
> [M76] [ubuntu 9.04] [ubuntu 9.10] slow unminimizing with ati card and
> desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Yigit Güneli (yiit) wrote :

i did install the fglrx-installer 2:8.721-0ubuntu3 package in lucid, and the bug is still present. and i don't think there is a ppa for lucid yet.

tags: added: lucid
Yigit Güneli (yiit) on 2010-03-21
summary: - [M76] [ubuntu 9.04] [ubuntu 9.10] slow unminimizing with ati card and
- desktop effects enabled
+ [M76] [ubuntu 9.04] [ubuntu 9.10] [ubuntu 10.04] slow unminimizing with
+ ati card and desktop effects enabled
WoodyEckelzone (bcr497) wrote :

Or simply force k0ekk0ek 's version of x-server-core in synaptic.
Select x-server-core package
CTRL E
Choose k0ekk0ek backclear patch (4.1)

Easy, works fine

Nicolas Delvaux (malizor) wrote :

No updates about this. It's a shame.

Any feedback about #399 ?
Any ppa for Lucid ?

Alf Gaida (info-g-com) wrote :

Hi,
after switching from VirtualBox to real hardware, the good old ATI-Backclear-Bug appears. Doing nice things as searching for another linux distribution i decided to give lucid a chance. As described in the artikle below i downloaded patch and the actual X server and patched it folloing Daëavelwyn:

Comment 256 for bug 351186
Daëavelwyn wrote on 2009-10-10:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/comments/256

In a few words: download, patch, build, install, smile. The speed issues are gone and i can't see memory leaks in my system. All seems to be o.k. this time. Thanks to Daëavelwyn, Felix and all others belong to this problem.

I think that's a shame that this bug isn't fixed for a so long time, but it's not the fault of Ubuntu, Debian ore someone in the Distributions. I have tried all major distries with the same result: The bug occurs. Do the people at Xorg nor ATI no about it. The bug occurs with several Xorg servers and ATI-drivers. Why to fuck doesn't anybody analyse and fix this shit for ever. Patching is nice but dosn't solve the problem. If there are any ideas for promoting this bug, tell me. I'm fixing this fucking pice of code the xx. time and it sucks off. Any time i get a new version i have to do this and dont now as the fix will work. Its sucks. Buying a nvidia card can't be the klue. (Whats about my Dell Studio with ATI). For my second Workstation i solved the problem finally. i bought a mainbord with a Intel G41 on it. Without the patch it work faster then my main-desktop. it's really a showstopper for new Linux (Ubuntu) users, as i have to patch a grown driver in front of a noob...

If i know to set up a ppa i would.

Alf Gaida (info-g-com) wrote :

Finally i managed setting up a ppa with the path posted by Felix Kuehling. Have tested it on both i386 and x86_64. For me it worked like charm. You can find th ppa here.

https://launchpad.net/~info-g-com/+archive/xserver-xorg-1.7.6-gc

Feel fŕee to try it out. Other question: What can we do to fix this issue finally?

Bryce Harrington (bryce) on 2010-04-07
Changed in fglrx-installer (Ubuntu):
status: Incomplete → Triaged
Changed in fglrx-installer (Ubuntu Lucid):
status: Incomplete → Triaged

This bug also affects me with Ubuntu 9.10 and Radeon HD 2400.
See here for technical details:
https://bugs.launchpad.net/bugs/559943

The fix described above with the PPA doesn't work for me. I tried adding the PPA, but the directory where the files supposedly reside doesn't exist (only a lucid/ subdir exists in http://ppa.launchpad.net/info-g-com/xserver-xorg-1.7.6-gc/ubuntu/dists/ ).
When I manually add the software source with the lucid/ subdir, I can install the patch but nothing changes.

How can I install this patch in Ubuntu 9.10 ? Thank you !

madmed (medbelh) wrote :

this ppa https://launchpad.net/~k0ekk0ek/+archive/ppa solved the problem in karmic

Thank you madmed. Who has this package been approved by ? I could not see any auth info.

Hi,

You can try to apply this method to your problem :
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/comments/256

just think in changing the xorg version (you seem to have the 1.7.6 instead
of the 1.6.3)

On Sat, Apr 10, 2010 at 10:50 PM, michael mestre <email address hidden>wrote:

> Thank you madmed. Who has this package been approved by ? I could not
> see any auth info.
>
> --
> [M76] [ubuntu 9.04] [ubuntu 9.10] [ubuntu 10.04] slow unminimizing with ati
> card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bryce Harrington (bryce) wrote :

@Alf, your frustration with the bug is understandable, however there is no call for such uncivil language.

Bryce Harrington (bryce) wrote :

I've set up another PPA with the patch for testing:

  https://edge.launchpad.net/~bryceharrington/+archive/violet

The issue and reason this isn't in Ubuntu (and probably why it's not upstream either), is that I *think* this risks causing regressions for non-fglrx cases. Maybe I'm wrong though, so I've set up this PPA for people to test.

A. What we need is solid proof of the following:

  1. No visible regression on -intel with compiz turned on
  2. No visible regression on -ati with compiz turned on
  3. No visible regression on -nouveau with compiz turned on
  4. No visible regression on -nvidia with compiz turned on
  5. No visible regression on at least one video driver with kde kwin desktop effects turned on

(Don't bother confirming on -fglrx, we already know it's fine there; this bug already has over 400 comments, and if people post more comments it'll just bloat up the bug report to the point where it won't load anymore.)

Alternatively, I could accept either of the following:

  B. Rejigger the patch so its logic is only enabled when the fglrx driver is loaded

  C. Forward the patch upstream to Debian or bugs.freedesktop.org and get it accepted into the upstream xserver, from which we can pull a cherrypick patch.

Alf Gaida (info-g-com) wrote :

@Bryce #419
I dont think so.
@Bryce #420
Full ACK. As i wrote, a patch can't be the final solution. But i think, as the bug is present for over two releases of ubuntu, there must be a "semi-official" ppa or so one. This means, the ppa has to be promoted in the wiki, faq etc. I know that the people at ATI are working on this problem too. Promoting a ppa give new users the chance to find it quickly and for the maintainers the chance to keep it actual in a simple way. And it were the right place for the "good news" that it is obsolete. if there are a final solution.

Keeping Marks words about the meaning of ubuntu in mind - these words mean to me, give new users a fair chance enjoing ubuntu too. For me it is no big problem aplying the patch and be happy. I dont know how it shows for a first time ubuntu-(linux)-user.

Another time - this bug is a real SHOWSTOPPER.

Nicolas Delvaux (malizor) wrote :

I already proposed B (via a special patched xserver version which should replace current xserver when installing fglrx from repositories).
I think it's the easier/better solution: No need to worry about potentials regressions on nvidia, intel or whatever else.

The patch is ready NOW, this just need an update to fglrx dependencies and the upload of the 'xserver-fglrx-fix' (or whatever name you prefer). For some packaging hero it's surely possible to build the patched xserver from the main source package along with other xserver packages, so the patched version will always be sync with further xserver updates.

So AFAIK we basically need 2 updates. If someone can/wants to take care of this, it might not be too late for Lucid...

Alf Gaida (info-g-com) wrote :

#422
Nice idea, getting the patched Server in sync, but imho it is not applyable to .deb packages. That's the point i like Arch for: Doing it the Arch way. Make a Sourcepackage, get it, build it, mostly it works. The build system in Arch does this that way. Make a BUILD package and most of the work is done. Then do a makepkg. The makepkg does the folloing: Get the actual sources, get the actual patches, build the actual package. Every thing is done.

My way in Ubuntu is: apt-get sources xorg... Patch it manually, make a debuild with the right options, upload it to my ppa. Its a nice idea doing this in time automatic if a new version occurs. Any ideas?

Nicolas Delvaux (malizor) wrote :

Well, if it's not as easy as I thought and that an automatic build can't be set up, it would be up to ubuntu xorg maintainers to manually patch and upload the patched server.
So it's their decision, even if it can be at least half-automated via a script.

@maintainers: Any feedback/idea or is this bug a won't fix/wait 1-2 releases for the free driver to become even more awesome?

Dana Goyette (danagoyette) wrote :

To be fair, I've noticed a similar lag and 100% CPU usage during resize operations on the ATI open-source driver (hardware: RV635), the Intel open-source driver (hardware: GMA950), and the nvidia binary driver (hardware: GF6200 IGP on Athlon64). The ATI binary driver just lags more severely than everything else.

The best possible solution would be "Option C" above... we need to get the backclear patch accepted upstream. After all, the current behavior of the X server makes no sense: why the heck do you need to read back the contents of video RAM to allocate a new window?

7oby (tobias-hain) wrote :

In response to #420:

Last time I installed the backclear.patch on ATI Mobility HD3400 hardware I noticed distorted and weird pixels when opening new windows. They disappeared as soon as contents was painted into the window. However it suggests what the source code comments say:

+- /*
+- * Copy bits from the parent into the new pixmap so that it will
+- * have "reasonable" contents in case for background None areas.
+- */

Without this patch- there are NO distorted and arbitrary colored pixels when opening new windows. I would all this a regression (besides the performance improvement) within ATI hardware already.

--

What I just did is install the patch on -intel hardware (GM965 to be more specific) and expected to see those weird colored pixels when opening new windows. However windows look fine upon creation.

On Wed, Apr 14, 2010 at 10:22:40AM -0000, Nicolas Delvaux wrote:
> Well, if it's not as easy as I thought and that an automatic build can't be set up, it would be up to ubuntu xorg maintainers to manually patch and upload the patched server.
> So it's their decision, even if it can be at least half-automated via a script.
>
> @maintainers: Any feedback/idea or is this bug a won't fix/wait 1-2
> releases for the free driver to become even more awesome?

The idea being that we maintain two copies of xorg-server in Ubuntu?
No, that would be too much work, and probably would cause other bugs
(people already have trouble moving between -fglrx and -ati on a system,
without having to switch xservers).

Today is really the last chance we could include this patch in lucid,
but there hasn't been an adequate quantity of testing on non-fglrx to
assure me it's safe. But I'll leave my PPA up with the xorg-server
package.

Someone suggested maintaining a more official PPA with the xorg-server
package. I don't have time to maintain such a thing myself but am not
opposed to it. It would probably make the most sense to include this
PPA in the xorg-edgers project. If anyone wishes to volunteer for
maintaining this please contact Sarvatt or Tormod on IRC at #ubuntu-x to
get set up with permissions to maintain the package, and to discuss what
the best solution would be.

The alternate conditions I listed above - redoing the patch to only
apply when the fglrx driver is loaded, or getting the patch accepted
upstream - are still viable and if done might make this patch into a
state that it could be accepted as an SRU.

I won't be working on X.org as of a few more weeks, so will not follow
up on this bug any further. I'd encourage those in the community
interested in seeing this bug resolved to continue along the lines I've
outlined; I think this issue can be solved but it'll take some effort.

Finally, I notice that the #comments has now exceeded what launchpad can
handle, so the bug comments can no longer be displayed in the web
interface. That's a shame. If I were you guys, I'd close out this bug
report and replace it with a fresh one, that has a clear write up for a
description, the current patch attached, the PPA as a workaround, and
steps to rebuild xserver to include the patch. Good luck.

little jo (littel-jo) wrote :

Same bug for me

Quote :

"If I were you guys, I'd close out this bug
report and replace it with a fresh one, that has a clear write up for a
description, the current patch attached, the PPA as a workaround, and
steps to rebuild xserver to include the patch. Good luck."

Very good idea. Has this been done already ?

idyllic (idyllic) wrote :

I have open a fresh one with detailed instruction as suggested at

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/568988

cazacugmihai (cazacugmihai) wrote :

Hi,

I also have this problem on Ubuntu 10.04.
My system: iMac 27" i7.

Thanks.

Bryce Harrington (bryce) on 2010-04-30
tags: added: kubuntu
dvhart (darren-dvhart) wrote :

I didn't see this mentioned anywhere above (apologies if I missed it), but this problem was solved for me using the PPA xorg packages from:

https://launchpad.net/~launchpad-weyland/+archive/xserver-nobackfill

Obviously this is a workaround to get people going until the problem can be properly addressed. This appears to be a duplicate of Bug 381003 (perhaps this one is for lucid? I see all kinds of release tags, so it's hard to tell). Anyway, this worked for me, YMMV.

dvhart (darren-dvhart) wrote :

I should qualify #432, this worked for me on Karmic on a ThinkPad W500 with an ATI HD 3650.

Daniel Castro (castromd) wrote :

Hey dvhart,

I also have applied launchpad-weyland's PPA patch on a Thinkpad W500 with ATI HD 3650 and Ubuntu 9.10 and it solves the slow desktop effects problem. But I suspect it introduces performance degradation on Xorg.

I had a T61p with Nvidia which worked very good, but it died on me. So I got the new W500 and loaded 9.10 straight away. Hardware-wise the W500 should be a bit faster than the T61p, but I feel it a bit sluggish in comparison.

Right after starting or rebooting my computer everything is good, but after a day of use my Xorg process grows to ~180Mb and start consuming like ~20-30% of CPU.

Could you let me know if you start experiencing the same thing?

Thanks!

Alf Gaida (info-g-com) on 2010-05-01
description: updated
Alf Gaida (info-g-com) on 2010-05-01
description: updated

Am 01.05.2010 14:00, schrieb Alf Gaida:
> ** Description changed:
>
> -
> - ******************************************************
> - The comment list to this bug reach a point of entries at this we must declare this buglist for "full". So it was the decision to make a new entry in launchpad as a successor of this bug. You should use https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/568988 instead. Thanks.
> - ******************************************************
> -
> -
> + ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !
> + The comment list to this bug reach a point of entries at this we must declare this buglist for "full". The buglist appears unreadable for many people becaquse of launchpad timeouts. So it was the decision to make a new entry in launchpad as a successor of this bug. You should use https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/568988 instead. Thanks.
> + ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !
>
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
> Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
It´s in Lucid, too....
Is there already an PPA for lucid ?

TIA

Roman Leuprecht

--
Roman Leuprecht
Schwedengasse 16
82487 Oberammergau
08822/4934

Alf Gaida (info-g-com) wrote :

Jetzt mal für deutsche Leser:

Was ist an der von mir geänderten Beschreibung des Fehlers nicht zu verstehen? Das Limit an Kommentaren ist erreicht, die Fehler bei der Darstellung mehren sich.

Verdammt noch mal nehmt den Link zu Bug 568988 oben in der Beschreibung zwischen den vielen Ausrufezeichen. Deutlicher kann man eine Beschreibung doch gar nicht mehr ändern. Das Lucid-PPA findet man da in Posting 8.

Viel Spass! Und nicht böse sein wegen der Flucherei ;-)

I've experienced the same slowness most posters have described on Karmic and now Lucid.

ATI 3650 HD

Toshiba Satellite A300

This has been an ongoing issue for a LONG time, and I hope it can be resolved. I know Bryce had a "nobackfill" kludge up, but I could never find it in my available packages after adding his PPA.

Lucid is feeling really tight, but it's these basic issues that still get Ubuntu laughed at by other OSs :-(

Thanks in advance to any/all developers trying to sort this out....greatly appreciated!!

Cheers

just tried to add Weylands PPA and got this...any ideas?

W: Failed to fetch http://ppa.launchpad.net/launchpad-weyland/xserver-nobackfill/ubuntu/dists/lucid/main/binary-amd64/Packages.gz 404 Not Found

Cheers

Alf Gaida (info-g-com) wrote :

OK - no more kidding around -

FOR ENGLISH SPEAKING PEOPLE the same message as for german users:

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
DONT POST ANY COMMENTS IN THIS BUG! PLEASE USE BUG 568988 INSTEAD
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/568988
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

I will add the ppa's for karmic and lucid in the description. And no, there you will not
find weylands nobackfill patch. The backfill patch has been replaced and the
no-backclear is his succsessor.

I'm not unkind nor this is an uncivil yielding. This buglist ist full by the meaning of full!

Alf Gaida (info-g-com) on 2010-05-04
description: updated
Rosca Stefan (sarvigalava) wrote :

Also affects me , ACER EXTENSA 7620g with Ati Mobility Radeon HD 2400XT. Desktop is very slow, slow minimizing, maximizing, open aplications. With open source driver the system is very fast but open gl in games is slow, I can play Open Arena only with minimal details and resolution. Also I mention that Ati proprietary driver make system to raise from 170 MB RAM usage to 470 MB.

Dan Quade (danquade) wrote :

BREAKING: This bug is FIXED in Catalyst 10.6 that was released today!

I tried Catalyst 10.6 and am not noticing any issues. It appears to be fixed.

On Thu, Jun 17, 2010 at 9:23 AM, unimatrix <email address hidden> wrote:
> BREAKING: This bug is FIXED in Catalyst 10.6 that was released today!
>
> --
> [M76] [ubuntu 9.04] [ubuntu 9.10] [ubuntu 10.04] slow unminimizing with ati card and desktop effects enabled
> https://bugs.launchpad.net/bugs/351186
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “fglrx-installer” package in Ubuntu: Triaged
> Status in “fglrx-installer” source package in Lucid: Triaged
>
> Bug description:
> ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !  ! ! ! ! ! ! !  ! ! ! ! ! !
> The comment list to this bug reach a point of entries at this we must declare this buglist for "full". The buglist appears unreadable for many people because of launchpad timeouts.  So it was the decision to make a new entry in launchpad  as a successor of this bug. You should use https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/568988 instead. Thanks.
> ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !
>
> [updated]
> Since the new version of ubuntu/kubuntu (9.04 jaunty) a new bug occurs with ATI cards and desktop effects enabled.
> With fglrx driver, the unminimizing of windows is really slow ... it can take from 1 to 3 seconds.
> Also, the maximizing, unmaximizing and Alt+Tab present the same problem.
> The opening of a window present the same bug, freezing the system for 1sec.
> This bug is under both gnome and kde (4.2.1)
>
> (I have an ATI HD2600 Mobility Pro )
>
> [lspci]
> 00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 03)
>      Subsystem: Acer Incorporated [ALI] Device [1025:011e]
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
>      Subsystem: Acer Incorporated [ALI] Device [1025:011e]
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/+subscribe
>

Bill (lwlw1988) on 2010-06-18
Changed in fglrx-installer (Ubuntu):
status: Triaged → Confirmed
Changed in fglrx-installer (Ubuntu Lucid):
status: Triaged → Confirmed
fermulator (fermulator) wrote :

Using the PPA mentioned in https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/351186/comments/414 on Ubuntu 10.04 (Lucid Lynx) with ATI fglrx driver version 8.723.1-100408a-098580C-ATI patches the issue.

Either it's not fixed, or it's back.

Because I'm still experiencing this issue with Catalyst 10.7 (downloaded from ATI website) in Ubuntu 10.04 64-bit. Unminimizing a non-maximized window is instant, but there's a noticeable pause before unminimizing a maximized window. There's also a pause before maximizing/unmaximizing a window.

Changed in fglrx-installer (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Confirmed
svaens (svaens) wrote :

Can confirm that for me,
Ubuntu 10.10
ATI Radeon 3470 HD mobility

This seems to be fixed, as of 2010/12/14
using all latest installs and updates from ubuntu maverick install.

smerz (daniel-genis) wrote :

Also fixed for me in 10.10

To whoever fixed this. THANK YOU!!

The Fiddler (stapostol) wrote :

This bug has been fixed upstream since ~October 2010. Could someone please close it?

The Fiddler (stapostol) wrote :

Fixed upstream for close to a year now.

Changed in fglrx-installer (Ubuntu):
status: Confirmed → Fix Released
Changed in fglrx-installer (Ubuntu Lucid):
status: Confirmed → Fix Released
Alf Gaida (info-g-com) wrote :

This Bug was still present in Lucid in 2011-03. ;) But this is not my business anymore. Since 2011-04 i use debian with the same old bug. The bug is still present in an uptodate X. The only thing about is - the lag is smaller, but never gone.

(Auf gut deutsch: Macht doch alle, was ihr wollt, es interessiert mich nicht mehr. Andere Bugs in Lucid sind gravierender und haben mich zu einem Umstieg auf debian bewogen. Es ist mir vollkommen egal, in welcher Distribution ich Fehler fixen muss. In debian stable betreffen die mich nur nicht mehr. Meine Server haben kein X.)

Ansonsten ist der Umgang mit Fehlern ein Armutszeugnis und keine Werbung für Ubuntu.

To post a comment you must log in.